"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppModule = void 0;
const common_1 = require("@nestjs/common");
const messages_module_1 = require("./usecases/messages/messages.module");
const threads_module_1 = require("./usecases/threads/threads.module");
const models_module_1 = require("./usecases/models/models.module");
const devtools_integration_1 = require("@nestjs/devtools-integration");
const database_module_1 = require("./infrastructure/database/database.module");
const chat_module_1 = require("./usecases/chat/chat.module");
const assistants_module_1 = require("./usecases/assistants/assistants.module");
const extension_module_1 = require("./infrastructure/repositories/extensions/extension.module");
const cortex_module_1 = require("./usecases/cortex/cortex.module");
const config_1 = require("@nestjs/config");
const node_process_1 = require("node:process");
const file_manager_module_1 = require("./infrastructure/services/file-manager/file-manager.module");
const app_logger_middleware_1 = require("./infrastructure/middlewares/app.logger.middleware");
const telemetry_module_1 = require("./usecases/telemetry/telemetry.module");
const core_1 = require("@nestjs/core");
const global_exception_1 = require("./infrastructure/exception/global.exception");
const event_emitter_1 = require("@nestjs/event-emitter");
const events_controller_1 = require("./infrastructure/controllers/events.controller");
const assistants_controller_1 = require("./infrastructure/controllers/assistants.controller");
const chat_controller_1 = require("./infrastructure/controllers/chat.controller");
const embeddings_controller_1 = require("./infrastructure/controllers/embeddings.controller");
const models_controller_1 = require("./infrastructure/controllers/models.controller");
const threads_controller_1 = require("./infrastructure/controllers/threads.controller");
const status_controller_1 = require("./infrastructure/controllers/status.controller");
const process_controller_1 = require("./infrastructure/controllers/process.controller");
const download_manager_module_1 = require("./infrastructure/services/download-manager/download-manager.module");
const context_module_1 = require("./infrastructure/services/context/context.module");
const extensions_module_1 = require("./extensions/extensions.module");
const configs_module_1 = require("./usecases/configs/configs.module");
const engines_module_1 = require("./usecases/engines/engines.module");
const configs_controller_1 = require("./infrastructure/controllers/configs.controller");
const engines_controller_1 = require("./infrastructure/controllers/engines.controller");
const resources_manager_module_1 = require("./infrastructure/services/resources-manager/resources-manager.module");
let AppModule = class AppModule {
    configure(consumer) {
        consumer.apply(app_logger_middleware_1.AppLoggerMiddleware).forRoutes('*');
    }
};
exports.AppModule = AppModule;
exports.AppModule = AppModule = __decorate([
    (0, common_1.Module)({
        imports: [
            devtools_integration_1.DevtoolsModule.register({
                http: node_process_1.env.NODE_ENV !== 'production',
            }),
            config_1.ConfigModule.forRoot({
                isGlobal: true,
                envFilePath: node_process_1.env.NODE_ENV !== 'production' ? '.env.development' : '.env',
            }),
            event_emitter_1.EventEmitterModule.forRoot(),
            download_manager_module_1.DownloadManagerModule,
            database_module_1.DatabaseModule,
            messages_module_1.MessagesModule,
            threads_module_1.ThreadsModule,
            models_module_1.ModelsModule,
            chat_module_1.ChatModule,
            assistants_module_1.AssistantsModule,
            cortex_module_1.CortexModule,
            extension_module_1.ExtensionModule,
            file_manager_module_1.FileManagerModule,
            telemetry_module_1.TelemetryModule,
            context_module_1.ContextModule,
            download_manager_module_1.DownloadManagerModule,
            extensions_module_1.ExtensionsModule,
            configs_module_1.ConfigsModule,
            engines_module_1.EnginesModule,
            resources_manager_module_1.ResourceManagerModule,
        ],
        controllers: [
            assistants_controller_1.AssistantsController,
            chat_controller_1.ChatController,
            embeddings_controller_1.EmbeddingsController,
            models_controller_1.ModelsController,
            threads_controller_1.ThreadsController,
            status_controller_1.StatusController,
            process_controller_1.ProcessController,
            events_controller_1.EventsController,
            configs_controller_1.ConfigsController,
            engines_controller_1.EnginesController,
        ],
        providers: [
            {
                provide: core_1.APP_FILTER,
                useClass: global_exception_1.GlobalExceptionFilter,
            },
        ],
    })
], AppModule);
//# sourceMappingURL=app.module.js.map