"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommandModule = void 0;
const common_1 = require("@nestjs/common");
const models_module_1 = require("./usecases/models/models.module");
const database_module_1 = require("./infrastructure/database/database.module");
const config_1 = require("@nestjs/config");
const cortex_module_1 = require("./usecases/cortex/cortex.module");
const serve_command_1 = require("./infrastructure/commanders/serve.command");
const models_command_1 = require("./infrastructure/commanders/models.command");
const extension_module_1 = require("./infrastructure/repositories/extensions/extension.module");
const init_command_1 = require("./infrastructure/commanders/init.command");
const axios_1 = require("@nestjs/axios");
const init_questions_1 = require("./infrastructure/commanders/questions/init.questions");
const model_list_command_1 = require("./infrastructure/commanders/models/model-list.command");
const model_pull_command_1 = require("./infrastructure/commanders/models/model-pull.command");
const cortex_command_commander_1 = require("./infrastructure/commanders/cortex-command.commander");
const chat_command_1 = require("./infrastructure/commanders/chat.command");
const model_start_command_1 = require("./infrastructure/commanders/models/model-start.command");
const model_stop_command_1 = require("./infrastructure/commanders/models/model-stop.command");
const model_get_command_1 = require("./infrastructure/commanders/models/model-get.command");
const model_remove_command_1 = require("./infrastructure/commanders/models/model-remove.command");
const run_command_1 = require("./infrastructure/commanders/shortcuts/run.command");
const model_update_command_1 = require("./infrastructure/commanders/models/model-update.command");
const assistants_module_1 = require("./usecases/assistants/assistants.module");
const cli_usecases_module_1 = require("./infrastructure/commanders/usecases/cli.usecases.module");
const messages_module_1 = require("./usecases/messages/messages.module");
const file_manager_module_1 = require("./infrastructure/services/file-manager/file-manager.module");
const ps_command_1 = require("./infrastructure/commanders/ps.command");
const kill_command_1 = require("./infrastructure/commanders/kill.command");
const presets_command_1 = require("./infrastructure/commanders/presets.command");
const telemetry_module_1 = require("./usecases/telemetry/telemetry.module");
const telemetry_command_1 = require("./infrastructure/commanders/telemetry.command");
const embeddings_command_1 = require("./infrastructure/commanders/embeddings.command");
const benchmark_command_1 = require("./infrastructure/commanders/benchmark.command");
const event_emitter_1 = require("@nestjs/event-emitter");
const download_manager_module_1 = require("./infrastructure/services/download-manager/download-manager.module");
const serve_stop_command_1 = require("./infrastructure/commanders/sub-commands/serve-stop.command");
const context_module_1 = require("./infrastructure/services/context/context.module");
const extensions_module_1 = require("./extensions/extensions.module");
const configs_command_1 = require("./infrastructure/commanders/configs.command");
const engines_command_1 = require("./infrastructure/commanders/engines.command");
const configs_module_1 = require("./usecases/configs/configs.module");
const engines_module_1 = require("./usecases/engines/engines.module");
const configs_get_command_1 = require("./infrastructure/commanders/configs/configs-get.command");
const configs_list_command_1 = require("./infrastructure/commanders/configs/configs-list.command");
const configs_set_command_1 = require("./infrastructure/commanders/configs/configs-set.command");
const engines_list_command_1 = require("./infrastructure/commanders/engines/engines-list.command");
const engines_get_command_1 = require("./infrastructure/commanders/engines/engines-get.command");
const engines_init_command_1 = require("./infrastructure/commanders/engines/engines-init.command");
let CommandModule = class CommandModule {
};
exports.CommandModule = CommandModule;
exports.CommandModule = CommandModule = __decorate([
    (0, common_1.Module)({
        imports: [
            config_1.ConfigModule.forRoot({
                isGlobal: true,
                envFilePath: process.env.NODE_ENV !== 'production' ? '.env.development' : '.env',
            }),
            event_emitter_1.EventEmitterModule.forRoot(),
            database_module_1.DatabaseModule,
            models_module_1.ModelsModule,
            cortex_module_1.CortexModule,
            extension_module_1.ExtensionModule,
            axios_1.HttpModule,
            cli_usecases_module_1.CliUsecasesModule,
            assistants_module_1.AssistantsModule,
            messages_module_1.MessagesModule,
            file_manager_module_1.FileManagerModule,
            telemetry_module_1.TelemetryModule,
            context_module_1.ContextModule,
            download_manager_module_1.DownloadManagerModule,
            extensions_module_1.ExtensionsModule,
            configs_module_1.ConfigsModule,
            engines_module_1.EnginesModule,
        ],
        providers: [
            cortex_command_commander_1.CortexCommand,
            models_command_1.ModelsCommand,
            serve_command_1.ServeCommand,
            chat_command_1.ChatCommand,
            init_command_1.InitCommand,
            ps_command_1.PSCommand,
            kill_command_1.KillCommand,
            presets_command_1.PresetCommand,
            embeddings_command_1.EmbeddingCommand,
            benchmark_command_1.BenchmarkCommand,
            engines_command_1.EnginesCommand,
            init_questions_1.InitRunModeQuestions,
            model_start_command_1.ModelStartCommand,
            model_stop_command_1.ModelStopCommand,
            model_list_command_1.ModelListCommand,
            model_get_command_1.ModelGetCommand,
            model_remove_command_1.ModelRemoveCommand,
            model_pull_command_1.ModelPullCommand,
            model_update_command_1.ModelUpdateCommand,
            run_command_1.RunCommand,
            telemetry_command_1.TelemetryCommand,
            serve_stop_command_1.ServeStopCommand,
            configs_command_1.ConfigsCommand,
            configs_get_command_1.ConfigsGetCommand,
            configs_list_command_1.ConfigsListCommand,
            configs_set_command_1.ConfigsSetCommand,
            engines_list_command_1.EnginesListCommand,
            engines_get_command_1.EnginesGetCommand,
            engines_init_command_1.EnginesInitCommand,
        ],
    })
], CommandModule);
//# sourceMappingURL=command.module.js.map