import stream from 'stream';
import { Model, ModelSettingParams } from '../../domain/models/model.interface';
import { Extension } from './extension.abstract';
export declare abstract class EngineExtension extends Extension {
    abstract onLoad(): void;
    abstract inference(dto: any, headers: Record<string, string>): Promise<stream.Readable | any>;
    loadModel(model: Model, settingParams?: ModelSettingParams): Promise<void>;
    unloadModel(modelId: string): Promise<void>;
}
