"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OAIEngineExtension = void 0;
const engine_abstract_1 = require("./engine.abstract");
const rxjs_1 = require("rxjs");
class OAIEngineExtension extends engine_abstract_1.EngineExtension {
    constructor(httpService) {
        super();
        this.httpService = httpService;
    }
    onLoad() { }
    async inference(createChatDto, headers) {
        var _a;
        const { stream } = createChatDto;
        const response = await (0, rxjs_1.firstValueFrom)(this.httpService.post(this.apiUrl, createChatDto, {
            headers: {
                'Content-Type': (_a = headers['content-type']) !== null && _a !== void 0 ? _a : 'application/json',
                Authorization: this.apiKey
                    ? `Bearer ${this.apiKey}`
                    : headers['authorization'],
            },
            responseType: stream ? 'stream' : 'json',
        }));
        if (!response) {
            throw new Error('No response');
        }
        return response.data;
    }
}
exports.OAIEngineExtension = OAIEngineExtension;
//# sourceMappingURL=oai.abstract.js.map