export interface HuggingFaceModelVersion {
    rfilename: string;
    downloadUrl?: string;
    fileSize?: number;
    quantization?: Quantization;
}
export interface HuggingFaceRepoSibling {
    rfilename: string;
    downloadUrl?: string;
    fileSize?: number;
    quantization?: Quantization;
}
export interface HuggingFaceRepoData {
    id: string;
    modelId: string;
    modelUrl?: string;
    author: string;
    sha: string;
    downloads: number;
    lastModified: string;
    private: boolean;
    disabled: boolean;
    gated: boolean;
    pipeline_tag: 'text-generation';
    tags: Array<'transformers' | 'pytorch' | 'safetensors' | string>;
    cardData: Record<CardDataKeys | string, unknown>;
    siblings: HuggingFaceRepoSibling[];
    createdAt: string;
}
declare const CardDataKeys: readonly ["base_model", "datasets", "inference", "language", "library_name", "license", "model_creator", "model_name", "model_type", "pipeline_tag", "prompt_template", "quantized_by", "tags"];
export type CardDataKeysTuple = typeof CardDataKeys;
export type CardDataKeys = CardDataKeysTuple[number];
export declare const AllQuantizations: string[];
export type QuantizationsTuple = typeof AllQuantizations;
export type Quantization = QuantizationsTuple[number];
export {};
