export type ModelId = string;
declare const ModelLoadingEvents: readonly ["starting", "stopping", "started", "stopped", "starting-failed", "stopping-failed", "model-downloaded", "model-deleted"];
export type ModelLoadingEvent = (typeof ModelLoadingEvents)[number];
declare const AllModelStates: readonly ["starting", "stopping", "started"];
export type ModelState = (typeof AllModelStates)[number];
export interface ModelStatus {
    model: ModelId;
    status: ModelState;
    metadata: Record<string, unknown>;
}
export interface ModelEvent {
    model: ModelId;
    event: ModelLoadingEvent;
    metadata: Record<string, unknown>;
}
export declare const EmptyModelEvent: {};
export interface ModelStatusAndEvent {
    data: {
        status: Record<ModelId, ModelStatus>;
        event: ModelEvent | typeof EmptyModelEvent;
    };
}
export {};
