import { Model as OpenAiModel } from 'cortexso-node/resources/models';
export interface Model extends OpenAiModel, ModelSettingParams, ModelRuntimeParams {
    model: string;
    name?: string;
    version?: string;
    files: string[] | ModelArtifact;
    metadata?: Record<string, any>;
}
export interface ModelSettingParams {
    ctx_len?: number;
    ngl?: number;
    embedding?: boolean;
    n_parallel?: number;
    cpu_threads?: number;
    prompt_template?: string;
    system_prompt?: string;
    ai_prompt?: string;
    user_prompt?: string;
    llama_model_path?: string;
    mmproj?: string;
    cont_batching?: boolean;
    engine?: string;
    pre_prompt?: string;
    n_batch?: number;
    caching_enabled?: boolean;
    grp_attn_n?: number;
    grp_attn_w?: number;
    mlock?: boolean;
    grammar_file?: string;
    flash_attn?: boolean;
    cache_type?: string;
    use_mmap?: boolean;
}
export interface ModelRuntimeParams {
    temperature?: number;
    token_limit?: number;
    top_k?: number;
    top_p?: number;
    stream?: boolean;
    max_tokens?: number;
    stop?: string[];
    frequency_penalty?: number;
    presence_penalty?: number;
}
export interface ModelArtifact {
    mmproj?: string;
    llama_model_path?: string;
    model_path?: string;
}
