"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExtensionsModule = void 0;
const common_1 = require("@nestjs/common");
const groq_engine_1 = __importDefault(require("./groq.engine"));
const mistral_engine_1 = __importDefault(require("./mistral.engine"));
const openai_engine_1 = __importDefault(require("./openai.engine"));
const axios_1 = require("@nestjs/axios");
const configs_usecase_1 = require("../usecases/configs/configs.usecase");
const configs_module_1 = require("../usecases/configs/configs.module");
const event_emitter_1 = require("@nestjs/event-emitter");
const provider = {
    provide: 'EXTENSIONS_PROVIDER',
    inject: [axios_1.HttpService, configs_usecase_1.ConfigsUsecases, event_emitter_1.EventEmitter2],
    useFactory: (httpService, configUsecases, eventEmitter) => [
        new openai_engine_1.default(httpService, configUsecases, eventEmitter),
        new groq_engine_1.default(httpService, configUsecases, eventEmitter),
        new mistral_engine_1.default(httpService, configUsecases, eventEmitter),
    ],
};
let ExtensionsModule = class ExtensionsModule {
};
exports.ExtensionsModule = ExtensionsModule;
exports.ExtensionsModule = ExtensionsModule = __decorate([
    (0, common_1.Module)({
        imports: [axios_1.HttpModule, configs_module_1.ConfigsModule],
        controllers: [],
        providers: [provider],
        exports: [provider],
    })
], ExtensionsModule);
//# sourceMappingURL=extensions.module.js.map