"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const oai_abstract_1 = require("../domain/abstracts/oai.abstract");
class GroqEngineExtension extends oai_abstract_1.OAIEngineExtension {
    constructor(httpService, configsUsecases, eventEmmitter) {
        super(httpService);
        this.httpService = httpService;
        this.configsUsecases = configsUsecases;
        this.eventEmmitter = eventEmmitter;
        this.apiUrl = 'https://api.groq.com/openai/v1/chat/completions';
        this.name = 'groq';
        this.productName = 'Groq Inference Engine';
        this.description = 'This extension enables fast Groq chat completion API calls';
        this.version = '0.0.1';
        eventEmmitter.on('config.updated', async (data) => {
            if (data.group === this.name) {
                this.apiKey = data.value;
            }
        });
    }
    async onLoad() {
        const configs = (await this.configsUsecases.getGroupConfigs(this.name));
        this.apiKey = configs === null || configs === void 0 ? void 0 : configs.apiKey;
        if (!(configs === null || configs === void 0 ? void 0 : configs.apiKey))
            await this.configsUsecases.saveConfig('apiKey', '', this.name);
    }
}
exports.default = GroqEngineExtension;
//# sourceMappingURL=groq.engine.js.map