import { HttpService } from '@nestjs/axios';
import { OAIEngineExtension } from '../domain/abstracts/oai.abstract';
import { ConfigsUsecases } from '@/usecases/configs/configs.usecase';
import { EventEmitter2 } from '@nestjs/event-emitter';
export default class MistralEngineExtension extends OAIEngineExtension {
    protected readonly httpService: HttpService;
    protected readonly configsUsecases: ConfigsUsecases;
    protected readonly eventEmmitter: EventEmitter2;
    apiUrl: string;
    name: string;
    productName: string;
    description: string;
    version: string;
    apiKey?: string;
    constructor(httpService: HttpService, configsUsecases: ConfigsUsecases, eventEmmitter: EventEmitter2);
    onLoad(): Promise<void>;
}
