"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BenchmarkCommand = void 0;
const nest_commander_1 = require("nest-commander");
const benchmark_cli_usecases_1 = require("./usecases/benchmark.cli.usecases");
let BenchmarkCommand = class BenchmarkCommand extends nest_commander_1.CommandRunner {
    constructor(benchmarkUsecases) {
        super();
        this.benchmarkUsecases = benchmarkUsecases;
    }
    async run(passedParams, options) {
        return this.benchmarkUsecases.benchmark(options !== null && options !== void 0 ? options : {}, passedParams[0]
            ? { model: passedParams[0] }
            : undefined);
    }
    parseRounds(value) {
        return value;
    }
    parseConcurrency(value) {
        return value;
    }
    parseOutput(value) {
        return value;
    }
};
exports.BenchmarkCommand = BenchmarkCommand;
__decorate([
    (0, nest_commander_1.Option)({
        flags: '-n, --num_rounds <num_rounds>',
        description: 'Number of rounds to run the benchmark',
    }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Number]),
    __metadata("design:returntype", void 0)
], BenchmarkCommand.prototype, "parseRounds", null);
__decorate([
    (0, nest_commander_1.Option)({
        flags: '-c, --concurrency <concurrency>',
        description: 'Number of concurrent requests to run the benchmark',
    }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Number]),
    __metadata("design:returntype", void 0)
], BenchmarkCommand.prototype, "parseConcurrency", null);
__decorate([
    (0, nest_commander_1.Option)({
        flags: '-o, --output <output>',
        description: 'Output format for the benchmark results. json or table',
    }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], BenchmarkCommand.prototype, "parseOutput", null);
exports.BenchmarkCommand = BenchmarkCommand = __decorate([
    (0, nest_commander_1.SubCommand)({
        name: 'benchmark',
        arguments: '[model_id]',
        argsDescription: {
            model_id: 'Model to benchmark with',
        },
        description: 'Benchmark and analyze the performance of a specific AI model using a variety of system resources',
    }),
    __metadata("design:paramtypes", [benchmark_cli_usecases_1.BenchmarkCliUsecases])
], BenchmarkCommand);
//# sourceMappingURL=benchmark.command.js.map