import { CommandRunner, InquirerService } from 'nest-commander';
import { ChatCliUsecases } from './usecases/chat.cli.usecases';
import { PSCliUsecases } from './usecases/ps.cli.usecases';
import { ModelsUsecases } from '@/usecases/models/models.usecases';
import { ModelStat } from './types/model-stat.interface';
import { TelemetryUsecases } from '@/usecases/telemetry/telemetry.usecases';
import { ContextService } from '../services/context/context.service';
type ChatOptions = {
    threadId?: string;
    message?: string;
    attach: boolean;
};
export declare class ChatCommand extends CommandRunner {
    private readonly inquirerService;
    private readonly chatCliUsecases;
    private readonly modelsUsecases;
    private readonly psCliUsecases;
    readonly contextService: ContextService;
    private readonly telemetryUsecases;
    constructor(inquirerService: InquirerService, chatCliUsecases: ChatCliUsecases, modelsUsecases: ModelsUsecases, psCliUsecases: PSCliUsecases, contextService: ContextService, telemetryUsecases: TelemetryUsecases);
    run(passedParams: string[], options: ChatOptions): Promise<void>;
    modelInquiry: (models: ModelStat[]) => Promise<any>;
    parseThreadId(value: string): string;
    parseModelId(value: string): string;
    parseAttach(): boolean;
}
export {};
