import { CommandRunner } from 'nest-commander';
import { ContextService } from '@/infrastructure/services/context/context.service';
import { ConfigsUsecases } from '@/usecases/configs/configs.usecase';
interface ConfigsSetOption {
    key: string;
    value: string;
    group?: string;
}
export declare class ConfigsSetCommand extends CommandRunner {
    private readonly configsUsecases;
    readonly contextService: ContextService;
    constructor(configsUsecases: ConfigsUsecases, contextService: ContextService);
    run(passedParams: string[], options: ConfigsSetOption): Promise<void>;
    parseKey(value: string): string;
    parseValue(value: string): string;
    parseGroup(value?: string): string | undefined;
}
export {};
