"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConfigsSetCommand = void 0;
const nest_commander_1 = require("nest-commander");
const CommandContext_1 = require("../decorators/CommandContext");
const context_service_1 = require("../../services/context/context.service");
const configs_usecase_1 = require("../../../usecases/configs/configs.usecase");
let ConfigsSetCommand = class ConfigsSetCommand extends nest_commander_1.CommandRunner {
    constructor(configsUsecases, contextService) {
        super();
        this.configsUsecases = configsUsecases;
        this.contextService = contextService;
    }
    async run(passedParams, options) {
        return this.configsUsecases
            .saveConfig(options.key, options.value, options.group)
            .then(() => console.log('Set configuration successfully'));
    }
    parseKey(value) {
        return value;
    }
    parseValue(value) {
        return value;
    }
    parseGroup(value) {
        return value;
    }
};
exports.ConfigsSetCommand = ConfigsSetCommand;
__decorate([
    (0, nest_commander_1.Option)({
        flags: '-k, --key <key>',
        description: 'Configuration key',
    }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], ConfigsSetCommand.prototype, "parseKey", null);
__decorate([
    (0, nest_commander_1.Option)({
        flags: '-v, --value <value>',
        description: 'Configuration value',
    }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], ConfigsSetCommand.prototype, "parseValue", null);
__decorate([
    (0, nest_commander_1.Option)({
        flags: '-g, --group <group>',
        description: 'Configuration group',
    }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], ConfigsSetCommand.prototype, "parseGroup", null);
exports.ConfigsSetCommand = ConfigsSetCommand = __decorate([
    (0, nest_commander_1.SubCommand)({
        name: 'set',
        description: 'Set a cortex configuration',
    }),
    (0, CommandContext_1.SetCommandContext)(),
    __metadata("design:paramtypes", [configs_usecase_1.ConfigsUsecases,
        context_service_1.ContextService])
], ConfigsSetCommand);
//# sourceMappingURL=configs-set.command.js.map