"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CortexCommand = void 0;
const nest_commander_1 = require("nest-commander");
const serve_command_1 = require("./serve.command");
const chat_command_1 = require("./chat.command");
const models_command_1 = require("./models.command");
const init_command_1 = require("./init.command");
const run_command_1 = require("./shortcuts/run.command");
const model_pull_command_1 = require("./models/model-pull.command");
const ps_command_1 = require("./ps.command");
const kill_command_1 = require("./kill.command");
const package_json_1 = __importDefault(require("../../../package.json"));
const presets_command_1 = require("./presets.command");
const telemetry_command_1 = require("./telemetry.command");
const CommandContext_1 = require("./decorators/CommandContext");
const embeddings_command_1 = require("./embeddings.command");
const benchmark_command_1 = require("./benchmark.command");
const chalk_1 = __importDefault(require("chalk"));
const logo_1 = require("../../utils/logo");
const context_service_1 = require("../services/context/context.service");
const engines_command_1 = require("./engines.command");
const configs_command_1 = require("./configs.command");
let CortexCommand = class CortexCommand extends nest_commander_1.CommandRunner {
    constructor(contextService) {
        super();
        this.contextService = contextService;
    }
    async run() {
        var _a;
        (0, logo_1.printSlogan)();
        console.log('\n');
        console.log(`Cortex CLI - v${package_json_1.default.version}`);
        console.log(chalk_1.default.blue(`Github: ${package_json_1.default.homepage}`));
        console.log('\n');
        (_a = this.command) === null || _a === void 0 ? void 0 : _a.help();
    }
};
exports.CortexCommand = CortexCommand;
exports.CortexCommand = CortexCommand = __decorate([
    (0, nest_commander_1.RootCommand)({
        subCommands: [
            models_command_1.ModelsCommand,
            serve_command_1.ServeCommand,
            chat_command_1.ChatCommand,
            init_command_1.InitCommand,
            run_command_1.RunCommand,
            model_pull_command_1.ModelPullCommand,
            ps_command_1.PSCommand,
            kill_command_1.KillCommand,
            presets_command_1.PresetCommand,
            telemetry_command_1.TelemetryCommand,
            embeddings_command_1.EmbeddingCommand,
            benchmark_command_1.BenchmarkCommand,
            engines_command_1.EnginesCommand,
            configs_command_1.ConfigsCommand,
        ],
        description: 'Cortex CLI',
    }),
    (0, CommandContext_1.SetCommandContext)(),
    __metadata("design:paramtypes", [context_service_1.ContextService])
], CortexCommand);
//# sourceMappingURL=cortex-command.commander.js.map