"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetCommandContext = void 0;
const SetCommandContext = () => {
    return (constructor) => {
        const classMethods = Object.getOwnPropertyNames(constructor.prototype);
        classMethods.forEach((methodName) => {
            if (methodName !== 'run')
                return;
            const originalMethod = constructor.prototype[methodName];
            if (typeof originalMethod === 'function') {
                constructor.prototype[methodName] = async function (...args) {
                    var _a;
                    if (this.contextService) {
                        const parentCommandName = this.command.parent
                            ? this.command.parent.name()
                            : '';
                        const comamndName = this.command.name();
                        this.contextService.set('command', `${parentCommandName} ${comamndName}`);
                        if (parentCommandName === 'models') {
                            const modelId = (_a = args[0]) === null || _a === void 0 ? void 0 : _a[0];
                            if (modelId) {
                                this.contextService.set('model', modelId);
                            }
                        }
                    }
                    const result = await originalMethod.apply(this, args);
                    return result;
                };
            }
        });
    };
};
exports.SetCommandContext = SetCommandContext;
//# sourceMappingURL=CommandContext.js.map