import { CommandRunner, InquirerService } from 'nest-commander';
import { ModelsUsecases } from '@/usecases/models/models.usecases';
import { PSCliUsecases } from './usecases/ps.cli.usecases';
import { ChatCliUsecases } from './usecases/chat.cli.usecases';
import { ModelStat } from './types/model-stat.interface';
interface EmbeddingCommandOptions {
    encoding_format?: string;
    input?: string;
    dimensions?: number;
}
export declare class EmbeddingCommand extends CommandRunner {
    private readonly chatCliUsecases;
    private readonly modelsUsecases;
    private readonly psCliUsecases;
    private readonly inquirerService;
    constructor(chatCliUsecases: ChatCliUsecases, modelsUsecases: ModelsUsecases, psCliUsecases: PSCliUsecases, inquirerService: InquirerService);
    run(passedParams: string[], options: EmbeddingCommandOptions): Promise<void>;
    modelInquiry: (models: ModelStat[]) => Promise<any>;
    parseInput(value: string): string;
    parseEncodingFormat(value: string): string;
    parseDimensionsFormat(value: string): string;
}
export {};
