"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EnginesGetCommand = void 0;
const nest_commander_1 = require("nest-commander");
const CommandContext_1 = require("../decorators/CommandContext");
const context_service_1 = require("../../services/context/context.service");
const engines_usecase_1 = require("../../../usecases/engines/engines.usecase");
let EnginesGetCommand = class EnginesGetCommand extends nest_commander_1.CommandRunner {
    constructor(engineUsecases, contextService) {
        super();
        this.engineUsecases = engineUsecases;
        this.contextService = contextService;
    }
    async run(passedParams) {
        return this.engineUsecases.getEngine(passedParams[0]).then(console.table);
    }
};
exports.EnginesGetCommand = EnginesGetCommand;
exports.EnginesGetCommand = EnginesGetCommand = __decorate([
    (0, nest_commander_1.SubCommand)({
        name: 'get',
        description: 'Get an engine',
        arguments: '<name>',
        argsDescription: {
            name: 'Engine name to get',
        },
    }),
    (0, CommandContext_1.SetCommandContext)(),
    __metadata("design:paramtypes", [engines_usecase_1.EnginesUsecases,
        context_service_1.ContextService])
], EnginesGetCommand);
//# sourceMappingURL=engines-get.command.js.map