import { CommandRunner } from 'nest-commander';
import { ContextService } from '@/infrastructure/services/context/context.service';
import { InitCliUsecases } from '../usecases/init.cli.usecases';
import { CortexUsecases } from '@/usecases/cortex/cortex.usecases';
import { FileManagerService } from '@/infrastructure/services/file-manager/file-manager.service';
export declare class EnginesInitCommand extends CommandRunner {
    private readonly initUsecases;
    private readonly cortexUsecases;
    private readonly fileManagerService;
    readonly contextService: ContextService;
    constructor(initUsecases: InitCliUsecases, cortexUsecases: CortexUsecases, fileManagerService: FileManagerService, contextService: ContextService);
    run(passedParams: string[]): Promise<void>;
}
