import { CommandRunner, InquirerService } from 'nest-commander';
import { InitCliUsecases } from './usecases/init.cli.usecases';
import { InitOptions } from './types/init-options.interface';
import { TelemetryUsecases } from '@/usecases/telemetry/telemetry.usecases';
import { ContextService } from '../services/context/context.service';
export declare class InitCommand extends CommandRunner {
    private readonly inquirerService;
    private readonly initUsecases;
    readonly contextService: ContextService;
    private readonly telemetryUsecases;
    constructor(inquirerService: InquirerService, initUsecases: InitCliUsecases, contextService: ContextService, telemetryUsecases: TelemetryUsecases);
    run(passedParams: string[], options?: InitOptions): Promise<void>;
    parseSilent(): boolean;
}
