"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.KillCommand = void 0;
const nest_commander_1 = require("nest-commander");
const cortex_usecases_1 = require("../../usecases/cortex/cortex.usecases");
const CommandContext_1 = require("./decorators/CommandContext");
const context_service_1 = require("../services/context/context.service");
let KillCommand = class KillCommand extends nest_commander_1.CommandRunner {
    constructor(cortexUsecases, contextService) {
        super();
        this.cortexUsecases = cortexUsecases;
        this.contextService = contextService;
    }
    async run() {
        return this.cortexUsecases
            .stopCortex()
            .then(this.cortexUsecases.stopServe)
            .then(() => console.log('Cortex processes stopped successfully!'));
    }
};
exports.KillCommand = KillCommand;
exports.KillCommand = KillCommand = __decorate([
    (0, nest_commander_1.SubCommand)({
        name: 'kill',
        description: 'Kill running cortex processes',
    }),
    (0, CommandContext_1.SetCommandContext)(),
    __metadata("design:paramtypes", [cortex_usecases_1.CortexUsecases,
        context_service_1.ContextService])
], KillCommand);
//# sourceMappingURL=kill.command.js.map