"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModelGetCommand = void 0;
const nest_commander_1 = require("nest-commander");
const models_cli_usecases_1 = require("../usecases/models.cli.usecases");
const node_process_1 = require("node:process");
const CommandContext_1 = require("../decorators/CommandContext");
const context_service_1 = require("../../services/context/context.service");
let ModelGetCommand = class ModelGetCommand extends nest_commander_1.CommandRunner {
    constructor(modelsCliUsecases, contextService) {
        super();
        this.modelsCliUsecases = modelsCliUsecases;
        this.contextService = contextService;
    }
    async run(passedParams) {
        if (passedParams.length === 0) {
            console.error('Model ID is required');
            (0, node_process_1.exit)(1);
        }
        const model = await this.modelsCliUsecases.getModel(passedParams[0]);
        if (!model)
            console.error('Model not found');
        else
            console.log(model);
    }
};
exports.ModelGetCommand = ModelGetCommand;
exports.ModelGetCommand = ModelGetCommand = __decorate([
    (0, nest_commander_1.SubCommand)({
        name: 'get',
        description: 'Get a model by ID.',
        arguments: '<model_id>',
        argsDescription: {
            model_id: 'Model ID to get information about.',
        },
    }),
    (0, CommandContext_1.SetCommandContext)(),
    __metadata("design:paramtypes", [models_cli_usecases_1.ModelsCliUsecases,
        context_service_1.ContextService])
], ModelGetCommand);
//# sourceMappingURL=model-get.command.js.map