"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModelListCommand = void 0;
const nest_commander_1 = require("nest-commander");
const models_cli_usecases_1 = require("../usecases/models.cli.usecases");
const CommandContext_1 = require("../decorators/CommandContext");
const context_service_1 = require("../../services/context/context.service");
let ModelListCommand = class ModelListCommand extends nest_commander_1.CommandRunner {
    constructor(modelsCliUsecases, contextService) {
        super();
        this.modelsCliUsecases = modelsCliUsecases;
        this.contextService = contextService;
    }
    async run(passedParams, option) {
        const models = await this.modelsCliUsecases.listAllModels();
        option.format === 'table'
            ? console.table(models.map((e) => ({
                id: e.model,
                name: e.name,
                engine: e.engine,
                version: e.version,
            })))
            : console.log(models);
    }
    parseModelId(value) {
        return value;
    }
};
exports.ModelListCommand = ModelListCommand;
__decorate([
    (0, nest_commander_1.Option)({
        flags: '-f, --format <format>',
        defaultValue: 'table',
        description: 'Print models list in table or json format',
    }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], ModelListCommand.prototype, "parseModelId", null);
exports.ModelListCommand = ModelListCommand = __decorate([
    (0, nest_commander_1.SubCommand)({ name: 'list', description: 'List all models locally.' }),
    (0, CommandContext_1.SetCommandContext)(),
    __metadata("design:paramtypes", [models_cli_usecases_1.ModelsCliUsecases,
        context_service_1.ContextService])
], ModelListCommand);
//# sourceMappingURL=model-list.command.js.map