import { CommandRunner, InquirerService } from 'nest-commander';
import { ModelsCliUsecases } from '@commanders/usecases/models.cli.usecases';
import { CortexUsecases } from '@/usecases/cortex/cortex.usecases';
import { ContextService } from '@/infrastructure/services/context/context.service';
import { InitCliUsecases } from '../usecases/init.cli.usecases';
import { FileManagerService } from '@/infrastructure/services/file-manager/file-manager.service';
type ModelStartOptions = {
    attach: boolean;
    preset?: string;
};
export declare class ModelStartCommand extends CommandRunner {
    private readonly inquirerService;
    private readonly cortexUsecases;
    private readonly modelsCliUsecases;
    private readonly initUsecases;
    private readonly fileService;
    readonly contextService: ContextService;
    constructor(inquirerService: InquirerService, cortexUsecases: CortexUsecases, modelsCliUsecases: ModelsCliUsecases, initUsecases: InitCliUsecases, fileService: FileManagerService, contextService: ContextService);
    run(passedParams: string[], options: ModelStartOptions): Promise<void>;
    modelInquiry: () => Promise<any>;
    parseAttach(): boolean;
    parseTemplate(value: string): string;
    private attachLogWatch;
}
export {};
