"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PresetCommand = void 0;
const file_manager_service_1 = require("../services/file-manager/file-manager.service");
const fs_1 = require("fs");
const nest_commander_1 = require("nest-commander");
const path_1 = require("path");
const CommandContext_1 = require("./decorators/CommandContext");
const context_service_1 = require("../services/context/context.service");
let PresetCommand = class PresetCommand extends nest_commander_1.CommandRunner {
    constructor(fileService, contextService) {
        super();
        this.fileService = fileService;
        this.contextService = contextService;
    }
    async run() {
        return console.table((0, fs_1.readdirSync)((0, path_1.join)(await this.fileService.getDataFolderPath(), `presets`)).map((e) => ({
            preset: e.replace('.yaml', ''),
        })));
    }
};
exports.PresetCommand = PresetCommand;
exports.PresetCommand = PresetCommand = __decorate([
    (0, nest_commander_1.SubCommand)({
        name: 'presets',
        description: 'Show all available presets',
    }),
    (0, CommandContext_1.SetCommandContext)(),
    __metadata("design:paramtypes", [file_manager_service_1.FileManagerService,
        context_service_1.ContextService])
], PresetCommand);
//# sourceMappingURL=presets.command.js.map