"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PSCommand = void 0;
const ora_1 = __importDefault(require("ora"));
const nest_commander_1 = require("nest-commander");
const ps_cli_usecases_1 = require("./usecases/ps.cli.usecases");
const CommandContext_1 = require("./decorators/CommandContext");
const context_service_1 = require("../services/context/context.service");
let PSCommand = class PSCommand extends nest_commander_1.CommandRunner {
    constructor(usecases, contextService) {
        super();
        this.usecases = usecases;
        this.contextService = contextService;
    }
    async run() {
        const runningSpinner = (0, ora_1.default)('Running PS command...').start();
        let checkingSpinner;
        return this.usecases
            .getModels()
            .then((models) => {
            runningSpinner.succeed();
            console.table(models);
        })
            .then(() => {
            checkingSpinner = (0, ora_1.default)('Checking API server...').start();
            return this.usecases.isAPIServerOnline();
        })
            .then((isOnline) => {
            checkingSpinner.succeed(isOnline ? 'API server is online' : 'API server is offline');
        });
    }
};
exports.PSCommand = PSCommand;
exports.PSCommand = PSCommand = __decorate([
    (0, nest_commander_1.SubCommand)({
        name: 'ps',
        description: 'Show running models and their status',
    }),
    (0, CommandContext_1.SetCommandContext)(),
    __metadata("design:paramtypes", [ps_cli_usecases_1.PSCliUsecases,
        context_service_1.ContextService])
], PSCommand);
//# sourceMappingURL=ps.command.js.map