"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServeCommand = void 0;
const cortex_1 = require("../constants/cortex");
const nest_commander_1 = require("nest-commander");
const CommandContext_1 = require("./decorators/CommandContext");
const serve_stop_command_1 = require("./sub-commands/serve-stop.command");
const context_service_1 = require("../services/context/context.service");
const app_1 = require("../../app");
const chalk_1 = __importDefault(require("chalk"));
let ServeCommand = class ServeCommand extends nest_commander_1.CommandRunner {
    constructor(contextService) {
        super();
        this.contextService = contextService;
    }
    async run(passedParams, options) {
        const host = (options === null || options === void 0 ? void 0 : options.address) || cortex_1.defaultCortexJsHost;
        const port = (options === null || options === void 0 ? void 0 : options.port) || cortex_1.defaultCortexJsPort;
        return this.startServer(host, port);
    }
    async startServer(host, port) {
        const app = await (0, app_1.getApp)();
        try {
            await app.listen(port, host);
            console.log(chalk_1.default.blue(`Started server at http://${host}:${port}`));
            console.log(chalk_1.default.blue(`API Playground available at http://${host}:${port}/api`));
        }
        catch (_a) {
            console.error(`Failed to start server. Is port ${port} in use?`);
        }
    }
    parseHost(value) {
        return value;
    }
    parsePort(value) {
        return parseInt(value, 10);
    }
};
exports.ServeCommand = ServeCommand;
__decorate([
    (0, nest_commander_1.Option)({
        flags: '-a, --address <address>',
        description: 'Address to use',
    }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], ServeCommand.prototype, "parseHost", null);
__decorate([
    (0, nest_commander_1.Option)({
        flags: '-p, --port <port>',
        description: 'Port to serve the application',
    }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], ServeCommand.prototype, "parsePort", null);
exports.ServeCommand = ServeCommand = __decorate([
    (0, nest_commander_1.SubCommand)({
        name: 'serve',
        description: 'Providing API endpoint for Cortex backend',
        subCommands: [serve_stop_command_1.ServeStopCommand],
    }),
    (0, CommandContext_1.SetCommandContext)(),
    __metadata("design:paramtypes", [context_service_1.ContextService])
], ServeCommand);
//# sourceMappingURL=serve.command.js.map