import { CortexUsecases } from '@/usecases/cortex/cortex.usecases';
import { CommandRunner, InquirerService } from 'nest-commander';
import { ChatCliUsecases } from '@commanders/usecases/chat.cli.usecases';
import { ModelsCliUsecases } from '@commanders/usecases/models.cli.usecases';
import { FileManagerService } from '@/infrastructure/services/file-manager/file-manager.service';
import { InitCliUsecases } from '../usecases/init.cli.usecases';
type RunOptions = {
    threadId?: string;
    preset?: string;
};
export declare class RunCommand extends CommandRunner {
    private readonly modelsCliUsecases;
    private readonly cortexUsecases;
    private readonly chatCliUsecases;
    private readonly inquirerService;
    private readonly fileService;
    private readonly initUsecases;
    constructor(modelsCliUsecases: ModelsCliUsecases, cortexUsecases: CortexUsecases, chatCliUsecases: ChatCliUsecases, inquirerService: InquirerService, fileService: FileManagerService, initUsecases: InitCliUsecases);
    run(passedParams: string[], options: RunOptions): Promise<void>;
    parseThreadId(value: string): string;
    parseTemplate(value: string): string;
    modelInquiry: () => Promise<any>;
}
export {};
