"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TelemetryCommand = void 0;
const nest_commander_1 = require("nest-commander");
const telemetry_usecases_1 = require("../../usecases/telemetry/telemetry.usecases");
const CommandContext_1 = require("./decorators/CommandContext");
let TelemetryCommand = class TelemetryCommand extends nest_commander_1.CommandRunner {
    constructor(telemetryUseCase) {
        super();
        this.telemetryUseCase = telemetryUseCase;
    }
    async run(_input, options) {
        if ((options === null || options === void 0 ? void 0 : options.type) === 'crash') {
            try {
                await this.telemetryUseCase.readCrashReports((telemetryEvent) => {
                    console.log(JSON.stringify(telemetryEvent, null, 2));
                });
            }
            catch (e) {
                console.error('Error reading crash reports', e);
            }
        }
    }
    parseType(value) {
        return value;
    }
};
exports.TelemetryCommand = TelemetryCommand;
__decorate([
    (0, nest_commander_1.Option)({
        flags: '-t, --type',
        description: 'Type of telemetry',
        defaultValue: 'crash',
        choices: ['crash'],
    }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], TelemetryCommand.prototype, "parseType", null);
exports.TelemetryCommand = TelemetryCommand = __decorate([
    (0, nest_commander_1.SubCommand)({
        name: 'telemetry',
        description: 'Get telemetry logs',
    }),
    (0, CommandContext_1.SetCommandContext)(),
    __metadata("design:paramtypes", [telemetry_usecases_1.TelemetryUsecases])
], TelemetryCommand);
//# sourceMappingURL=telemetry.command.js.map