import Cortex from 'cortexso-node';
import { FileManagerService } from '@/infrastructure/services/file-manager/file-manager.service';
import { ModelsCliUsecases } from './models.cli.usecases';
import { BenchmarkConfig, ParametersConfig } from '@commanders/types/benchmark-config.interface';
import { CortexUsecases } from '@/usecases/cortex/cortex.usecases';
import { PSCliUsecases } from './ps.cli.usecases';
import { TelemetryUsecases } from '@/usecases/telemetry/telemetry.usecases';
export declare class BenchmarkCliUsecases {
    private readonly modelsCliUsecases;
    private readonly cortexUsecases;
    private readonly fileService;
    private readonly psUsecases;
    private readonly telemetryUsecases;
    constructor(modelsCliUsecases: ModelsCliUsecases, cortexUsecases: CortexUsecases, fileService: FileManagerService, psUsecases: PSCliUsecases, telemetryUsecases: TelemetryUsecases);
    config: BenchmarkConfig;
    cortexClient?: Cortex;
    benchmark(options: Partial<BenchmarkConfig>, params?: ParametersConfig): Promise<never>;
    private getBenchmarkConfig;
    private getSystemResources;
    private getResourceChange;
    private benchmarkUser;
    private calculatePercentiles;
    private runBenchmarks;
}
