"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CliUsecasesModule = void 0;
const common_1 = require("@nestjs/common");
const init_cli_usecases_1 = require("./init.cli.usecases");
const axios_1 = require("@nestjs/axios");
const models_cli_usecases_1 = require("./models.cli.usecases");
const models_module_1 = require("../../../usecases/models/models.module");
const chat_cli_usecases_1 = require("./chat.cli.usecases");
const chat_module_1 = require("../../../usecases/chat/chat.module");
const cortex_module_1 = require("../../../usecases/cortex/cortex.module");
const threads_module_1 = require("../../../usecases/threads/threads.module");
const assistants_module_1 = require("../../../usecases/assistants/assistants.module");
const messages_module_1 = require("../../../usecases/messages/messages.module");
const file_manager_module_1 = require("../../services/file-manager/file-manager.module");
const ps_cli_usecases_1 = require("./ps.cli.usecases");
const benchmark_cli_usecases_1 = require("./benchmark.cli.usecases");
const telemetry_module_1 = require("../../../usecases/telemetry/telemetry.module");
let CliUsecasesModule = class CliUsecasesModule {
};
exports.CliUsecasesModule = CliUsecasesModule;
exports.CliUsecasesModule = CliUsecasesModule = __decorate([
    (0, common_1.Module)({
        imports: [
            axios_1.HttpModule,
            models_module_1.ModelsModule,
            chat_module_1.ChatModule,
            cortex_module_1.CortexModule,
            threads_module_1.ThreadsModule,
            assistants_module_1.AssistantsModule,
            messages_module_1.MessagesModule,
            file_manager_module_1.FileManagerModule,
            telemetry_module_1.TelemetryModule,
        ],
        providers: [
            init_cli_usecases_1.InitCliUsecases,
            models_cli_usecases_1.ModelsCliUsecases,
            chat_cli_usecases_1.ChatCliUsecases,
            ps_cli_usecases_1.PSCliUsecases,
            benchmark_cli_usecases_1.BenchmarkCliUsecases,
        ],
        exports: [
            init_cli_usecases_1.InitCliUsecases,
            models_cli_usecases_1.ModelsCliUsecases,
            chat_cli_usecases_1.ChatCliUsecases,
            ps_cli_usecases_1.PSCliUsecases,
            benchmark_cli_usecases_1.BenchmarkCliUsecases,
        ],
    })
], CliUsecasesModule);
//# sourceMappingURL=cli.usecases.module.js.map