import { ModelsUsecases } from '@/usecases/models/models.usecases';
import { Model } from '@/domain/models/model.interface';
import { InquirerService } from 'nest-commander';
import { StartModelSuccessDto } from '@/infrastructure/dtos/models/start-model-success.dto';
import { UpdateModelDto } from '@/infrastructure/dtos/models/update-model.dto';
import { FileManagerService } from '@/infrastructure/services/file-manager/file-manager.service';
export declare class ModelsCliUsecases {
    private readonly modelsUsecases;
    private readonly inquirerService;
    private readonly fileService;
    constructor(modelsUsecases: ModelsUsecases, inquirerService: InquirerService, fileService: FileManagerService);
    startModel(modelId: string, preset?: string): Promise<StartModelSuccessDto>;
    stopModel(modelId: string): Promise<void>;
    updateModel(modelId: string, toUpdate: UpdateModelDto): Promise<void>;
    getModelOrStop(modelId: string): Promise<Model>;
    listAllModels(): Promise<Model[]>;
    getModel(modelId: string): Promise<Model | null>;
    removeModel(modelId: string): Promise<{
        message: string;
        modelId: string;
    } | undefined>;
    pullModel(modelId: string): Promise<void>;
    private parsePreset;
}
