"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssistantsController = void 0;
const openapi = require("@nestjs/swagger");
const common_1 = require("@nestjs/common");
const assistants_usecases_1 = require("../../usecases/assistants/assistants.usecases");
const create_assistant_dto_1 = require("../dtos/assistants/create-assistant.dto");
const delete_assistant_dto_1 = require("../dtos/assistants/delete-assistant.dto");
const swagger_1 = require("@nestjs/swagger");
const assistant_entity_1 = require("../entities/assistant.entity");
const transform_interceptor_1 = require("../interceptors/transform.interceptor");
let AssistantsController = class AssistantsController {
    constructor(assistantsService) {
        this.assistantsService = assistantsService;
    }
    create(createAssistantDto) {
        return this.assistantsService.create(createAssistantDto);
    }
    findAll(limit, order, after, before) {
        return this.assistantsService.listAssistants(limit, order, after, before);
    }
    findOne(id) {
        return this.assistantsService.findOne(id);
    }
    remove(id) {
        return this.assistantsService.remove(id);
    }
};
exports.AssistantsController = AssistantsController;
__decorate([
    (0, swagger_1.ApiOperation)({
        summary: 'Create assistant',
        description: 'Creates a new assistant.',
    }),
    (0, swagger_1.ApiCreatedResponse)({
        description: 'The assistant has been successfully created.',
    }),
    (0, common_1.Post)(),
    openapi.ApiResponse({ status: 201, type: Object }),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [create_assistant_dto_1.CreateAssistantDto]),
    __metadata("design:returntype", void 0)
], AssistantsController.prototype, "create", null);
__decorate([
    (0, swagger_1.ApiOperation)({
        summary: 'List assistants',
        description: 'Returns a list of assistants.',
    }),
    (0, swagger_1.ApiOkResponse)({
        description: 'Ok',
        type: [assistant_entity_1.AssistantEntity],
    }),
    (0, swagger_1.ApiQuery)({
        name: 'limit',
        type: Number,
        required: false,
        description: 'A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.',
    }),
    (0, swagger_1.ApiQuery)({
        name: 'order',
        type: String,
        required: false,
        description: 'Sort order by the created_at timestamp of the objects. asc for ascending order and desc for descending order.',
    }),
    (0, swagger_1.ApiQuery)({
        name: 'after',
        type: String,
        required: false,
        description: 'A cursor for use in pagination. after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.',
    }),
    (0, swagger_1.ApiQuery)({
        name: 'before',
        type: String,
        required: false,
        description: 'A cursor for use in pagination. before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include before=obj_foo in order to fetch the previous page of the list.',
    }),
    (0, common_1.Get)(),
    openapi.ApiResponse({ status: 200 }),
    __param(0, (0, common_1.Query)('limit', new common_1.DefaultValuePipe(20))),
    __param(1, (0, common_1.Query)('order', new common_1.DefaultValuePipe('desc'))),
    __param(2, (0, common_1.Query)('after')),
    __param(3, (0, common_1.Query)('before')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Number, String, String, String]),
    __metadata("design:returntype", void 0)
], AssistantsController.prototype, "findAll", null);
__decorate([
    (0, swagger_1.ApiOperation)({
        summary: 'Get assistant',
        description: "Retrieves a specific assistant defined by an assistant's `id`.",
    }),
    (0, swagger_1.ApiOkResponse)({
        description: 'Ok',
        type: assistant_entity_1.AssistantEntity,
    }),
    (0, swagger_1.ApiParam)({
        name: 'id',
        required: true,
        description: 'The unique identifier of the assistant.',
    }),
    (0, common_1.Get)(':id'),
    openapi.ApiResponse({ status: 200, type: Object }),
    __param(0, (0, common_1.Param)('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], AssistantsController.prototype, "findOne", null);
__decorate([
    (0, swagger_1.ApiOperation)({
        summary: 'Delete assistant',
        description: "Deletes a specific assistant defined by an assistant's `id`.",
    }),
    (0, swagger_1.ApiResponse)({
        status: 200,
        description: 'The assistant has been successfully deleted.',
        type: delete_assistant_dto_1.DeleteAssistantResponseDto,
    }),
    (0, swagger_1.ApiParam)({
        name: 'id',
        required: true,
        description: 'The unique identifier of the assistant.',
    }),
    (0, common_1.Delete)(':id'),
    openapi.ApiResponse({ status: 200 }),
    __param(0, (0, common_1.Param)('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], AssistantsController.prototype, "remove", null);
exports.AssistantsController = AssistantsController = __decorate([
    (0, swagger_1.ApiTags)('Assistants'),
    (0, common_1.Controller)('assistants'),
    (0, common_1.UseInterceptors)(transform_interceptor_1.TransformInterceptor),
    __metadata("design:paramtypes", [assistants_usecases_1.AssistantsUsecases])
], AssistantsController);
//# sourceMappingURL=assistants.controller.js.map