"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChatController = void 0;
const openapi = require("@nestjs/swagger");
const common_1 = require("@nestjs/common");
const create_chat_completion_dto_1 = require("../dtos/chat/create-chat-completion.dto");
const chat_usecases_1 = require("../../usecases/chat/chat.usecases");
const swagger_1 = require("@nestjs/swagger");
const chat_completion_response_dto_1 = require("../dtos/chat/chat-completion-response.dto");
const telemetry_usecases_1 = require("../../usecases/telemetry/telemetry.usecases");
const telemetry_interface_1 = require("../../domain/telemetry/telemetry.interface");
let ChatController = class ChatController {
    constructor(chatService, telemetryUsecases) {
        this.chatService = chatService;
        this.telemetryUsecases = telemetryUsecases;
    }
    async create(headers, createChatDto, res) {
        const { stream } = createChatDto;
        if (stream) {
            this.chatService
                .inference(createChatDto, headers)
                .then((stream) => {
                res.header('Content-Type', 'text/event-stream');
                stream.pipe(res);
            })
                .catch((error) => { var _a; return res.status((_a = error.statusCode) !== null && _a !== void 0 ? _a : 400).send(error.message); });
        }
        else {
            res.header('Content-Type', 'application/json');
            this.chatService
                .inference(createChatDto, headers)
                .then((response) => {
                res.json(response);
            })
                .catch((error) => { var _a; return res.status((_a = error.statusCode) !== null && _a !== void 0 ? _a : 400).send(error.message); });
        }
        this.telemetryUsecases.addEventToQueue({
            name: telemetry_interface_1.EventName.CHAT,
            modelId: createChatDto.model,
        });
    }
};
exports.ChatController = ChatController;
__decorate([
    (0, swagger_1.ApiOperation)({
        summary: 'Create chat completion',
        description: 'Creates a model response for the given conversation. The following parameters are not working for the `TensorRT-LLM` engine:\n- `frequency_penalty`\n- `presence_penalty`\n- `top_p`',
    }),
    (0, common_1.HttpCode)(200),
    (0, swagger_1.ApiResponse)({
        status: 200,
        description: 'Ok',
        type: chat_completion_response_dto_1.ChatCompletionResponseDto,
    }),
    (0, common_1.Post)('completions'),
    openapi.ApiResponse({ status: 200 }),
    __param(0, (0, common_1.Headers)()),
    __param(1, (0, common_1.Body)()),
    __param(2, (0, common_1.Res)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, create_chat_completion_dto_1.CreateChatCompletionDto, Object]),
    __metadata("design:returntype", Promise)
], ChatController.prototype, "create", null);
exports.ChatController = ChatController = __decorate([
    (0, swagger_1.ApiTags)('Inference'),
    (0, common_1.Controller)('chat'),
    __metadata("design:paramtypes", [chat_usecases_1.ChatUsecases,
        telemetry_usecases_1.TelemetryUsecases])
], ChatController);
//# sourceMappingURL=chat.controller.js.map