"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConfigsController = void 0;
const openapi = require("@nestjs/swagger");
const common_1 = require("@nestjs/common");
const swagger_1 = require("@nestjs/swagger");
const transform_interceptor_1 = require("../interceptors/transform.interceptor");
const configs_usecase_1 = require("../../usecases/configs/configs.usecase");
const config_update_dto_1 = require("../dtos/configs/config-update.dto");
const common_response_dto_1 = require("../dtos/common/common-response.dto");
let ConfigsController = class ConfigsController {
    constructor(configsUsecases) {
        this.configsUsecases = configsUsecases;
    }
    findAll() {
        return this.configsUsecases.getConfigs();
    }
    findOne(name) {
        return this.configsUsecases.getGroupConfigs(name);
    }
    async update(name, configs) {
        return this.configsUsecases.saveConfig(configs.key, configs.value, name);
    }
};
exports.ConfigsController = ConfigsController;
__decorate([
    (0, common_1.HttpCode)(200),
    (0, swagger_1.ApiResponse)({
        status: 200,
        description: 'Ok',
        type: [Object],
    }),
    (0, swagger_1.ApiOperation)({
        summary: 'List configs',
        description: 'Lists the currently available configs, including the default and user-defined configurations.',
    }),
    (0, common_1.Get)(),
    openapi.ApiResponse({ status: 200, type: Object }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", void 0)
], ConfigsController.prototype, "findAll", null);
__decorate([
    (0, common_1.HttpCode)(200),
    (0, swagger_1.ApiResponse)({
        status: 200,
        description: 'Ok',
        type: Object,
    }),
    (0, swagger_1.ApiOperation)({
        summary: 'Get a config',
        description: 'Retrieves a config instance, providing basic information about the config.',
    }),
    (0, swagger_1.ApiParam)({
        name: 'name',
        required: true,
        description: 'The unique identifier of the config.',
    }),
    (0, common_1.Get)(':name(*)'),
    openapi.ApiResponse({ status: 200, type: Object }),
    __param(0, (0, common_1.Param)('name')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], ConfigsController.prototype, "findOne", null);
__decorate([
    (0, common_1.HttpCode)(200),
    (0, swagger_1.ApiResponse)({
        status: 200,
        description: 'The config has been successfully updated.',
        type: common_response_dto_1.CommonResponseDto,
    }),
    (0, swagger_1.ApiOperation)({
        summary: 'Configure a model',
        description: "Updates a specific configuration setting by its group and key.",
        parameters: [
            {
                in: 'path',
                name: 'model',
                required: true,
                description: 'The unique identifier of the model.',
            },
        ],
    }),
    (0, common_1.Post)(':name(*)'),
    openapi.ApiResponse({ status: 200, type: require("../dtos/common/common-response.dto").CommonResponseDto }),
    __param(0, (0, common_1.Param)('name')),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, config_update_dto_1.ConfigUpdateDto]),
    __metadata("design:returntype", Promise)
], ConfigsController.prototype, "update", null);
exports.ConfigsController = ConfigsController = __decorate([
    (0, swagger_1.ApiTags)('Configurations'),
    (0, common_1.Controller)('configs'),
    (0, common_1.UseInterceptors)(transform_interceptor_1.TransformInterceptor),
    __metadata("design:paramtypes", [configs_usecase_1.ConfigsUsecases])
], ConfigsController);
//# sourceMappingURL=configs.controller.js.map