"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmbeddingsController = void 0;
const openapi = require("@nestjs/swagger");
const common_1 = require("@nestjs/common");
const chat_usecases_1 = require("../../usecases/chat/chat.usecases");
const swagger_1 = require("@nestjs/swagger");
const embeddings_request_dto_1 = require("../dtos/embeddings/embeddings-request.dto");
const embeddings_response_dto_1 = require("../dtos/chat/embeddings-response.dto");
let EmbeddingsController = class EmbeddingsController {
    constructor(chatService) {
        this.chatService = chatService;
    }
    async create(createEmbeddingsDto) {
        return this.chatService.embeddings(createEmbeddingsDto);
    }
};
exports.EmbeddingsController = EmbeddingsController;
__decorate([
    (0, swagger_1.ApiOperation)({
        summary: 'Create embedding vector',
        description: 'Creates an embedding vector representing the input text.',
    }),
    (0, common_1.HttpCode)(200),
    (0, swagger_1.ApiResponse)({
        status: 200,
        description: 'Ok',
        type: embeddings_response_dto_1.EmbeddingsResponseDto,
    }),
    (0, common_1.Post)(),
    openapi.ApiResponse({ status: 200, type: Object }),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [embeddings_request_dto_1.CreateEmbeddingsDto]),
    __metadata("design:returntype", Promise)
], EmbeddingsController.prototype, "create", null);
exports.EmbeddingsController = EmbeddingsController = __decorate([
    (0, swagger_1.ApiTags)('Embeddings'),
    (0, common_1.Controller)('embeddings'),
    __metadata("design:paramtypes", [chat_usecases_1.ChatUsecases])
], EmbeddingsController);
//# sourceMappingURL=embeddings.controller.js.map