"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EnginesController = void 0;
const openapi = require("@nestjs/swagger");
const common_1 = require("@nestjs/common");
const swagger_1 = require("@nestjs/swagger");
const transform_interceptor_1 = require("../interceptors/transform.interceptor");
const engines_usecase_1 = require("../../usecases/engines/engines.usecase");
const engines_dto_1 = require("../dtos/engines/engines.dto");
let EnginesController = class EnginesController {
    constructor(enginesUsecases) {
        this.enginesUsecases = enginesUsecases;
    }
    findAll() {
        return this.enginesUsecases.getEngines();
    }
    findOne(name) {
        return this.enginesUsecases.getEngine(name);
    }
};
exports.EnginesController = EnginesController;
__decorate([
    (0, common_1.HttpCode)(200),
    (0, swagger_1.ApiResponse)({
        status: 200,
        description: 'Ok',
        type: [engines_dto_1.EngineDto],
    }),
    (0, swagger_1.ApiOperation)({
        summary: 'List available engines',
        description: 'Lists the currently available engines, including local and remote engines.',
    }),
    (0, common_1.Get)(),
    openapi.ApiResponse({ status: 200 }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", void 0)
], EnginesController.prototype, "findAll", null);
__decorate([
    (0, common_1.HttpCode)(200),
    (0, swagger_1.ApiResponse)({
        status: 200,
        description: 'Ok',
        type: engines_dto_1.EngineDto,
    }),
    (0, swagger_1.ApiOperation)({
        summary: 'Get an engine',
        description: 'Retrieves an engine instance, providing basic information about the engine.',
    }),
    (0, swagger_1.ApiParam)({
        name: 'name',
        required: true,
        description: 'The unique identifier of the engine.',
    }),
    (0, common_1.Get)(':name(*)'),
    openapi.ApiResponse({ status: 200 }),
    __param(0, (0, common_1.Param)('name')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], EnginesController.prototype, "findOne", null);
exports.EnginesController = EnginesController = __decorate([
    (0, swagger_1.ApiTags)('Engines'),
    (0, common_1.Controller)('engines'),
    (0, common_1.UseInterceptors)(transform_interceptor_1.TransformInterceptor),
    __metadata("design:paramtypes", [engines_usecase_1.EnginesUsecases])
], EnginesController);
//# sourceMappingURL=engines.controller.js.map