import { DownloadStateEvent } from '@/domain/models/download.interface';
import { ModelStatusAndEvent } from '@/domain/models/model.event';
import { DownloadManagerService } from '@/infrastructure/services/download-manager/download-manager.service';
import { ModelsUsecases } from '@/usecases/models/models.usecases';
import { EventEmitter2 } from '@nestjs/event-emitter';
import { Observable } from 'rxjs';
import { ResourcesManagerService } from '../services/resources-manager/resources-manager.service';
import { ResourceEvent } from '@/domain/models/resource.interface';
export declare class EventsController {
    private readonly downloadManagerService;
    private readonly modelsUsecases;
    private readonly eventEmitter;
    private readonly resourcesManagerService;
    constructor(downloadManagerService: DownloadManagerService, modelsUsecases: ModelsUsecases, eventEmitter: EventEmitter2, resourcesManagerService: ResourcesManagerService);
    downloadEvent(): Observable<DownloadStateEvent>;
    modelEvent(): Observable<ModelStatusAndEvent>;
    resourcesEvent(): Observable<ResourceEvent>;
}
