"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EventsController = void 0;
const openapi = require("@nestjs/swagger");
const model_event_1 = require("../../domain/models/model.event");
const download_manager_service_1 = require("../services/download-manager/download-manager.service");
const models_usecases_1 = require("../../usecases/models/models.usecases");
const common_1 = require("@nestjs/common");
const event_emitter_1 = require("@nestjs/event-emitter");
const swagger_1 = require("@nestjs/swagger");
const rxjs_1 = require("rxjs");
const resources_manager_service_1 = require("../services/resources-manager/resources-manager.service");
let EventsController = class EventsController {
    constructor(downloadManagerService, modelsUsecases, eventEmitter, resourcesManagerService) {
        this.downloadManagerService = downloadManagerService;
        this.modelsUsecases = modelsUsecases;
        this.eventEmitter = eventEmitter;
        this.resourcesManagerService = resourcesManagerService;
    }
    downloadEvent() {
        const latestDownloadState$ = (0, rxjs_1.of)({
            data: this.downloadManagerService.getDownloadStates(),
        });
        const downloadAbortEvent$ = (0, rxjs_1.fromEvent)(this.eventEmitter, 'download.event.aborted').pipe((0, rxjs_1.map)((downloadState) => ({ data: downloadState })));
        const downloadEvent$ = (0, rxjs_1.fromEvent)(this.eventEmitter, 'download.event').pipe((0, rxjs_1.map)((downloadState) => ({ data: downloadState })), (0, rxjs_1.throttleTime)(1000));
        return (0, rxjs_1.merge)(latestDownloadState$, downloadEvent$, downloadAbortEvent$).pipe();
    }
    modelEvent() {
        const latestModelStatus$ = (0, rxjs_1.of)(this.modelsUsecases.getModelStatuses());
        const modelEvent$ = (0, rxjs_1.fromEvent)(this.eventEmitter, 'model.event').pipe((0, rxjs_1.startWith)(model_event_1.EmptyModelEvent));
        return (0, rxjs_1.combineLatest)([latestModelStatus$, modelEvent$]).pipe((0, rxjs_1.map)(([status, event]) => ({ data: { status, event } })));
    }
    resourcesEvent() {
        const initialData$ = (0, rxjs_1.from)(this.resourcesManagerService.getResourceStatuses()).pipe((0, rxjs_1.map)((data) => ({ data: data })), (0, rxjs_1.catchError)((error) => {
            console.error('Error fetching initial resource statuses', error);
            return (0, rxjs_1.of)();
        }));
        const getResourceStatuses$ = (0, rxjs_1.interval)(2000).pipe((0, rxjs_1.switchMap)(() => this.resourcesManagerService.getResourceStatuses()), (0, rxjs_1.map)((data) => ({ data: data })), (0, rxjs_1.catchError)((error) => {
            console.error('Error fetching resource statuses', error);
            return (0, rxjs_1.of)();
        }));
        return (0, rxjs_1.merge)(initialData$, getResourceStatuses$);
    }
};
exports.EventsController = EventsController;
__decorate([
    (0, swagger_1.ApiOperation)({
        summary: 'Get download status',
        description: "Retrieves the model's download status.",
    }),
    (0, common_1.Sse)('download'),
    openapi.ApiResponse({ status: 200, type: Object }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", rxjs_1.Observable)
], EventsController.prototype, "downloadEvent", null);
__decorate([
    (0, swagger_1.ApiOperation)({
        summary: 'Get model status',
        description: 'Retrieves all the available model statuses within Cortex.',
    }),
    (0, common_1.Sse)('model'),
    openapi.ApiResponse({ status: 200, type: Object }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", rxjs_1.Observable)
], EventsController.prototype, "modelEvent", null);
__decorate([
    (0, swagger_1.ApiOperation)({
        summary: 'Get resources status',
        description: 'Retrieves the resources status of the system.',
    }),
    (0, common_1.Sse)('resources'),
    openapi.ApiResponse({ status: 200, type: Object }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", rxjs_1.Observable)
], EventsController.prototype, "resourcesEvent", null);
exports.EventsController = EventsController = __decorate([
    (0, swagger_1.ApiTags)('Events'),
    (0, common_1.Controller)('events'),
    __metadata("design:paramtypes", [download_manager_service_1.DownloadManagerService,
        models_usecases_1.ModelsUsecases,
        event_emitter_1.EventEmitter2,
        resources_manager_service_1.ResourcesManagerService])
], EventsController);
//# sourceMappingURL=events.controller.js.map