import { ModelsUsecases } from '@/usecases/models/models.usecases';
import { CreateModelDto } from '@/infrastructure/dtos/models/create-model.dto';
import { UpdateModelDto } from '@/infrastructure/dtos/models/update-model.dto';
import { StartModelSuccessDto } from '@/infrastructure/dtos/models/start-model-success.dto';
import { CortexUsecases } from '@/usecases/cortex/cortex.usecases';
import { ModelSettingsDto } from '../dtos/models/model-settings.dto';
import { TelemetryUsecases } from '@/usecases/telemetry/telemetry.usecases';
export declare class ModelsController {
    private readonly modelsUsecases;
    private readonly cortexUsecases;
    private readonly telemetryUsecases;
    constructor(modelsUsecases: ModelsUsecases, cortexUsecases: CortexUsecases, telemetryUsecases: TelemetryUsecases);
    create(createModelDto: CreateModelDto): Promise<void>;
    startModel(modelId: string, params: ModelSettingsDto): Promise<StartModelSuccessDto>;
    stopModel(modelId: string): Promise<StartModelSuccessDto>;
    downloadModel(modelId: string): {
        message: string;
    };
    abortDownloadModel(downloadId: string): Promise<void>;
    pullModel(modelId: string): {
        message: string;
    };
    findAll(): Promise<import("../../domain/models/model.interface").Model[]>;
    findOne(id: string): Promise<import("../../domain/models/model.interface").Model | null>;
    update(model: string, updateModelDto: UpdateModelDto): Promise<void>;
    remove(id: string): Promise<{
        message: string;
        modelId: string;
    } | undefined>;
}
