import { ThreadsUsecases } from '@/usecases/threads/threads.usecases';
import { CreateThreadDto } from '@/infrastructure/dtos/threads/create-thread.dto';
import { UpdateThreadDto } from '@/infrastructure/dtos/threads/update-thread.dto';
import { CreateMessageDto } from '../dtos/threads/create-message.dto';
import { UpdateMessageDto } from '../dtos/threads/update-message.dto';
import DeleteMessageDto from '../dtos/threads/delete-message.dto';
export declare class ThreadsController {
    private readonly threadsUsecases;
    constructor(threadsUsecases: ThreadsUsecases);
    create(createThreadDto: CreateThreadDto): Promise<import("../entities/thread.entity").ThreadEntity>;
    findAll(): Promise<import("../entities/thread.entity").ThreadEntity[]>;
    retrieveMessage(threadId: string, messageId: string): Promise<import("../../domain/models/message.interface").Message>;
    getMessagesOfThread(threadId: string, limit: number, order: 'asc' | 'desc', after?: string, before?: string, runId?: string): Promise<import("../dtos/page.dto").PageDto<import("../entities/message.entity").MessageEntity>>;
    createMessageInThread(threadId: string, createMessageDto: CreateMessageDto): Promise<import("../entities/message.entity").MessageEntity>;
    updateMessage(threadId: string, messageId: string, updateMessageDto: UpdateMessageDto): Promise<import("../entities/message.entity").MessageEntity | null>;
    cleanThread(threadId: string): Promise<void>;
    deleteMessage(threadId: string, messageId: string): Promise<DeleteMessageDto>;
    retrieveThread(threadId: string): Promise<import("../entities/thread.entity").ThreadEntity | null>;
    modifyThread(threadId: string, updateThreadDto: UpdateThreadDto): Promise<import("typeorm").UpdateResult>;
    remove(threadId: string): void;
}
