"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ThreadsController = void 0;
const openapi = require("@nestjs/swagger");
const common_1 = require("@nestjs/common");
const threads_usecases_1 = require("../../usecases/threads/threads.usecases");
const create_thread_dto_1 = require("../dtos/threads/create-thread.dto");
const update_thread_dto_1 = require("../dtos/threads/update-thread.dto");
const delete_thread_dto_1 = require("../dtos/threads/delete-thread.dto");
const get_thread_dto_1 = require("../dtos/threads/get-thread.dto");
const swagger_1 = require("@nestjs/swagger");
const transform_interceptor_1 = require("../interceptors/transform.interceptor");
const list_message_dto_1 = require("../dtos/messages/list-message.dto");
const create_message_dto_1 = require("../dtos/threads/create-message.dto");
const update_message_dto_1 = require("../dtos/threads/update-message.dto");
const delete_message_dto_1 = __importDefault(require("../dtos/threads/delete-message.dto"));
const get_message_dto_1 = require("../dtos/messages/get-message.dto");
let ThreadsController = class ThreadsController {
    constructor(threadsUsecases) {
        this.threadsUsecases = threadsUsecases;
    }
    create(createThreadDto) {
        return this.threadsUsecases.create(createThreadDto);
    }
    findAll() {
        return this.threadsUsecases.findAll();
    }
    async retrieveMessage(threadId, messageId) {
        return this.threadsUsecases.retrieveMessage(threadId, messageId);
    }
    getMessagesOfThread(threadId, limit, order, after, before, runId) {
        return this.threadsUsecases.getMessagesOfThread(threadId, limit, order, after, before, runId);
    }
    createMessageInThread(threadId, createMessageDto) {
        return this.threadsUsecases.createMessageInThread(threadId, createMessageDto);
    }
    updateMessage(threadId, messageId, updateMessageDto) {
        return this.threadsUsecases.updateMessage(threadId, messageId, updateMessageDto);
    }
    async cleanThread(threadId) {
        return this.threadsUsecases.clean(threadId);
    }
    deleteMessage(threadId, messageId) {
        return this.threadsUsecases.deleteMessage(threadId, messageId);
    }
    retrieveThread(threadId) {
        return this.threadsUsecases.findOne(threadId);
    }
    modifyThread(threadId, updateThreadDto) {
        return this.threadsUsecases.update(threadId, updateThreadDto);
    }
    remove(threadId) {
        return this.threadsUsecases.remove(threadId);
    }
};
exports.ThreadsController = ThreadsController;
__decorate([
    (0, swagger_1.ApiOperation)({
        tags: ['Threads'],
        summary: 'Create thread',
        description: 'Creates a new thread.',
    }),
    (0, common_1.Post)(),
    openapi.ApiResponse({ status: 201, type: require("../entities/thread.entity").ThreadEntity }),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [create_thread_dto_1.CreateThreadDto]),
    __metadata("design:returntype", void 0)
], ThreadsController.prototype, "create", null);
__decorate([
    (0, swagger_1.ApiOperation)({
        tags: ['Threads'],
        summary: 'List threads',
        description: 'Lists all the available threads along with its configurations.',
    }),
    (0, common_1.Get)(),
    openapi.ApiResponse({ status: 200, type: [require("../entities/thread.entity").ThreadEntity] }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", void 0)
], ThreadsController.prototype, "findAll", null);
__decorate([
    (0, swagger_1.ApiOperation)({
        tags: ['Messages'],
        summary: 'Retrieve message',
        description: 'Retrieves a message.',
        parameters: [
            {
                in: 'path',
                name: 'thread_id',
                required: true,
                description: 'The ID of the thread to which this message belongs.',
            },
            {
                in: 'path',
                name: 'message_id',
                required: true,
                description: 'The ID of the message to retrieve.',
            },
        ],
    }),
    (0, swagger_1.ApiOkResponse)({
        description: 'The message object matching the specified ID.',
        type: get_message_dto_1.GetMessageResponseDto,
    }),
    (0, common_1.Get)(':thread_id/messages/:message_id'),
    openapi.ApiResponse({ status: 200, type: Object }),
    __param(0, (0, common_1.Param)('thread_id')),
    __param(1, (0, common_1.Param)('message_id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, String]),
    __metadata("design:returntype", Promise)
], ThreadsController.prototype, "retrieveMessage", null);
__decorate([
    (0, swagger_1.ApiOperation)({
        tags: ['Messages'],
        summary: 'List messages',
        description: 'Returns a list of messages for a given thread.',
        parameters: [
            {
                in: 'path',
                name: 'thread_id',
                required: true,
                description: 'The ID of the thread the messages belong to.',
            },
            {
                in: 'query',
                name: 'limit',
                required: false,
                description: 'A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.',
            },
            {
                in: 'query',
                name: 'order',
                required: false,
                description: 'Sort order by the created_at timestamp of the objects. asc for ascending order and desc for descending order.',
            },
            {
                in: 'query',
                name: 'after',
                required: false,
                description: 'A cursor for use in pagination. after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.',
            },
            {
                in: 'query',
                name: 'before',
                required: false,
                description: 'A cursor for use in pagination. before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include before=obj_foo in order to fetch the previous page of the list.',
            },
            {
                in: 'query',
                name: 'run_id',
                required: false,
                description: 'Filter messages by the run ID that generated them.',
            },
        ],
    }),
    (0, swagger_1.ApiOkResponse)({
        description: 'A list of message objects.',
        type: list_message_dto_1.ListMessagesResponseDto,
    }),
    (0, common_1.Get)(':thread_id/messages'),
    openapi.ApiResponse({ status: 200 }),
    __param(0, (0, common_1.Param)('thread_id')),
    __param(1, (0, common_1.Query)('limit', new common_1.DefaultValuePipe(20))),
    __param(2, (0, common_1.Query)('order', new common_1.DefaultValuePipe('desc'))),
    __param(3, (0, common_1.Query)('after')),
    __param(4, (0, common_1.Query)('before')),
    __param(5, (0, common_1.Query)('run_id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, Number, String, String, String, String]),
    __metadata("design:returntype", void 0)
], ThreadsController.prototype, "getMessagesOfThread", null);
__decorate([
    (0, swagger_1.ApiOperation)({
        tags: ['Messages'],
        summary: 'Create message',
        description: 'Create a message.',
        responses: {
            '201': {
                description: 'A message object.',
            },
        },
        parameters: [
            {
                in: 'path',
                name: 'thread_id',
                required: true,
                description: 'The ID of the thread to create a message for.',
            },
        ],
    }),
    (0, common_1.Post)(':thread_id/messages'),
    openapi.ApiResponse({ status: 201, type: require("../entities/message.entity").MessageEntity }),
    __param(0, (0, common_1.Param)('thread_id')),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, create_message_dto_1.CreateMessageDto]),
    __metadata("design:returntype", void 0)
], ThreadsController.prototype, "createMessageInThread", null);
__decorate([
    (0, swagger_1.ApiOperation)({
        tags: ['Messages'],
        summary: 'Modify message',
        description: 'Modifies a message.',
        responses: {
            '200': {
                description: 'The modified message object.',
            },
        },
        parameters: [
            {
                in: 'path',
                name: 'thread_id',
                required: true,
                description: 'The ID of the thread to which this message belongs.',
            },
            {
                in: 'path',
                name: 'message_id',
                required: true,
                description: 'The ID of the message to modify.',
            },
        ],
    }),
    (0, common_1.Post)(':thread_id/messages/:message_id'),
    openapi.ApiResponse({ status: 201, type: Object }),
    __param(0, (0, common_1.Param)('thread_id')),
    __param(1, (0, common_1.Param)('message_id')),
    __param(2, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, String, update_message_dto_1.UpdateMessageDto]),
    __metadata("design:returntype", void 0)
], ThreadsController.prototype, "updateMessage", null);
__decorate([
    (0, swagger_1.ApiOperation)({
        summary: 'Clean thread',
        description: 'Deletes all messages in a thread.',
        tags: ['Threads'],
        parameters: [
            {
                in: 'path',
                name: 'thread_id',
                required: true,
                description: 'The ID of the thread to clean.',
            },
        ],
    }),
    (0, common_1.Post)(':thread_id/clean'),
    openapi.ApiResponse({ status: 201 }),
    __param(0, (0, common_1.Param)('thread_id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", Promise)
], ThreadsController.prototype, "cleanThread", null);
__decorate([
    (0, swagger_1.ApiOperation)({
        summary: 'Delete message',
        description: 'Deletes a message.',
        tags: ['Messages'],
        parameters: [
            {
                in: 'path',
                name: 'thread_id',
                required: true,
                description: 'The ID of the thread to which this message belongs.',
            },
            {
                in: 'path',
                name: 'message_id',
                required: true,
                description: 'The ID of the message to delete.',
            },
        ],
    }),
    (0, swagger_1.ApiOkResponse)({
        description: 'Deletion status.',
        type: delete_message_dto_1.default,
    }),
    (0, common_1.Delete)(':thread_id/messages/:message_id'),
    openapi.ApiResponse({ status: 200, type: require("../dtos/threads/delete-message.dto").default }),
    __param(0, (0, common_1.Param)('thread_id')),
    __param(1, (0, common_1.Param)('message_id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, String]),
    __metadata("design:returntype", void 0)
], ThreadsController.prototype, "deleteMessage", null);
__decorate([
    (0, swagger_1.ApiOperation)({
        tags: ['Threads'],
        summary: 'Retrieve thread',
        description: 'Retrieves a thread.',
        parameters: [
            {
                in: 'path',
                name: 'thread_id',
                required: true,
                description: 'The unique identifier of the thread.',
            },
        ],
    }),
    (0, swagger_1.ApiOkResponse)({
        description: 'Retrieves a thread.',
        type: get_thread_dto_1.GetThreadResponseDto,
    }),
    (0, common_1.Get)(':thread_id'),
    openapi.ApiResponse({ status: 200, type: Object }),
    __param(0, (0, common_1.Param)('thread_id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], ThreadsController.prototype, "retrieveThread", null);
__decorate([
    (0, swagger_1.ApiResponse)({
        status: 200,
        description: 'The thread has been successfully updated.',
        type: update_thread_dto_1.UpdateThreadDto,
    }),
    (0, swagger_1.ApiOperation)({
        tags: ['Threads'],
        summary: 'Modify thread',
        description: 'Modifies a thread.',
        parameters: [
            {
                in: 'path',
                name: 'thread_id',
                required: true,
                description: 'The unique identifier of the thread.',
            },
        ],
    }),
    (0, common_1.Post)(':thread_id'),
    openapi.ApiResponse({ status: 201 }),
    __param(0, (0, common_1.Param)('thread_id')),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, update_thread_dto_1.UpdateThreadDto]),
    __metadata("design:returntype", void 0)
], ThreadsController.prototype, "modifyThread", null);
__decorate([
    (0, swagger_1.ApiResponse)({
        status: 200,
        description: 'The thread has been successfully deleted.',
        type: delete_thread_dto_1.DeleteThreadResponseDto,
    }),
    (0, swagger_1.ApiOperation)({
        tags: ['Threads'],
        summary: 'Delete thread',
        description: 'Deletes a specific thread defined by a thread `id` .',
        parameters: [
            {
                in: 'path',
                name: 'id',
                required: true,
                description: 'The unique identifier of the thread.',
            },
        ],
    }),
    (0, common_1.Delete)(':thread_id'),
    openapi.ApiResponse({ status: 200 }),
    __param(0, (0, common_1.Param)('thread_id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", void 0)
], ThreadsController.prototype, "remove", null);
exports.ThreadsController = ThreadsController = __decorate([
    (0, common_1.Controller)('threads'),
    (0, common_1.UseInterceptors)(transform_interceptor_1.TransformInterceptor),
    __metadata("design:paramtypes", [threads_usecases_1.ThreadsUsecases])
], ThreadsController);
//# sourceMappingURL=threads.controller.js.map