"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DatabaseModule = void 0;
const common_1 = require("@nestjs/common");
const thread_providers_1 = require("./providers/thread.providers");
const sqlite_database_providers_1 = require("./sqlite-database.providers");
const assistant_providers_1 = require("./providers/assistant.providers");
const message_providers_1 = require("./providers/message.providers");
const telemetry_providers_1 = require("./providers/telemetry.providers");
const file_manager_module_1 = require("../services/file-manager/file-manager.module");
let DatabaseModule = class DatabaseModule {
};
exports.DatabaseModule = DatabaseModule;
exports.DatabaseModule = DatabaseModule = __decorate([
    (0, common_1.Module)({
        imports: [file_manager_module_1.FileManagerModule],
        providers: [
            ...sqlite_database_providers_1.sqliteDatabaseProviders,
            ...thread_providers_1.threadProviders,
            ...assistant_providers_1.assistantProviders,
            ...message_providers_1.messageProviders,
            ...telemetry_providers_1.telemetryProviders,
        ],
        exports: [
            ...thread_providers_1.threadProviders,
            ...assistant_providers_1.assistantProviders,
            ...message_providers_1.messageProviders,
            ...telemetry_providers_1.telemetryProviders,
        ],
    })
], DatabaseModule);
//# sourceMappingURL=database.module.js.map