"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mysqlDatabaseProviders = void 0;
const cortex_1 = require("../constants/cortex");
const typeorm_1 = require("typeorm");
const thread_entity_1 = require("../entities/thread.entity");
const assistant_entity_1 = require("../entities/assistant.entity");
const message_entity_1 = require("../entities/message.entity");
exports.mysqlDatabaseProviders = [
    {
        provide: 'DATA_SOURCE',
        useFactory: async () => {
            const dataSource = new typeorm_1.DataSource({
                type: 'mysql',
                host: 'localhost',
                port: 3306,
                username: 'root',
                password: '',
                database: cortex_1.databaseName,
                entities: [thread_entity_1.ThreadEntity, assistant_entity_1.AssistantEntity, message_entity_1.MessageEntity],
                synchronize: process.env.NODE_ENV !== 'production',
            });
            return dataSource.initialize();
        },
    },
];
//# sourceMappingURL=mysql-database.providers.js.map