"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sqliteDatabaseProviders = void 0;
const file_manager_service_1 = require("../services/file-manager/file-manager.service");
const cortex_1 = require("../constants/cortex");
const path_1 = require("path");
const typeorm_1 = require("typeorm");
const thread_entity_1 = require("../entities/thread.entity");
const assistant_entity_1 = require("../entities/assistant.entity");
const message_entity_1 = require("../entities/message.entity");
exports.sqliteDatabaseProviders = [
    {
        provide: 'DATA_SOURCE',
        inject: [file_manager_service_1.FileManagerService],
        useFactory: async (fileManagerService) => {
            const dataFolderPath = await fileManagerService.getDataFolderPath();
            const sqlitePath = (0, path_1.join)(dataFolderPath, cortex_1.databaseFile);
            const dataSource = new typeorm_1.DataSource({
                type: 'sqlite',
                database: sqlitePath,
                synchronize: process.env.NODE_ENV !== 'production',
                entities: [thread_entity_1.ThreadEntity, assistant_entity_1.AssistantEntity, message_entity_1.MessageEntity],
            });
            return dataSource.initialize();
        },
    },
];
//# sourceMappingURL=sqlite-database.providers.js.map