"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateAssistantDto = void 0;
const openapi = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
const swagger_1 = require("@nestjs/swagger");
class CreateAssistantDto {
    static _OPENAPI_METADATA_FACTORY() {
        return { id: { required: true, type: () => String }, avatar: { required: false, type: () => String }, name: { required: true, type: () => String }, description: { required: true, type: () => String }, model: { required: true, type: () => String }, instructions: { required: true, type: () => String }, tools: { required: true, type: () => [Object] }, metadata: { required: true, type: () => Object, nullable: true }, top_p: { required: false, type: () => Number }, temperature: { required: false, type: () => Number } };
    }
}
exports.CreateAssistantDto = CreateAssistantDto;
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'The unique identifier of the assistant.',
        example: 'jan',
        default: 'jan',
    }),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CreateAssistantDto.prototype, "id", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'The avatar of the assistant.',
        example: '',
        default: '',
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CreateAssistantDto.prototype, "avatar", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'The name of the assistant.',
        example: 'Jan',
        default: 'Jan',
    }),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CreateAssistantDto.prototype, "name", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'The description of the assistant.',
        example: 'A default assistant that can use all downloaded models',
        default: 'A default assistant that can use all downloaded models',
    }),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CreateAssistantDto.prototype, "description", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'The model of the assistant.',
    }),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CreateAssistantDto.prototype, "model", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'The instructions for the assistant.',
        example: '',
        default: '',
    }),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CreateAssistantDto.prototype, "instructions", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'The tools associated with the assistant.',
        example: [],
        default: [],
    }),
    (0, class_validator_1.IsArray)(),
    __metadata("design:type", Array)
], CreateAssistantDto.prototype, "tools", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'The metadata of the assistant.',
    }),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", Object)
], CreateAssistantDto.prototype, "metadata", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'Top p.',
        example: '0.7',
        default: '0.7',
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)(),
    __metadata("design:type", Number)
], CreateAssistantDto.prototype, "top_p", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'Temperature.',
        example: '0.7',
        default: '0.7',
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)(),
    __metadata("design:type", Number)
], CreateAssistantDto.prototype, "temperature", void 0);
//# sourceMappingURL=create-assistant.dto.js.map