"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModelSettingDto = void 0;
const openapi = require("@nestjs/swagger");
const swagger_1 = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
class ModelSettingDto {
    static _OPENAPI_METADATA_FACTORY() {
        return { temperature: { required: true, type: () => Number }, top_p: { required: true, type: () => Number }, prompt_template: { required: false, type: () => String }, stop: { required: false, type: () => [String] }, frequency_penalty: { required: false, type: () => Number }, presence_penalty: { required: false, type: () => Number }, ctx_len: { required: false, type: () => Number }, stream: { required: false, type: () => Boolean }, max_tokens: { required: false, type: () => Number }, ngl: { required: false, type: () => Number }, n_parallel: { required: false, type: () => Number }, cpu_threads: { required: false, type: () => Number }, pre_prompt: { required: false, type: () => String }, n_batch: { required: false, type: () => Number }, caching_enabled: { required: false, type: () => Boolean }, grp_attn_n: { required: false, type: () => Number }, grp_attn_w: { required: false, type: () => Number }, mlock: { required: false, type: () => Boolean }, grammar_file: { required: false, type: () => String }, flash_attn: { required: false, type: () => Boolean }, cache_type: { required: false, type: () => String }, use_mmap: { required: false, type: () => Boolean } };
    }
}
exports.ModelSettingDto = ModelSettingDto;
__decorate([
    (0, swagger_1.ApiProperty)({
        type: 'number',
        minimum: 0,
        maximum: 1,
        required: false,
        default: 1,
        description: `What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic.`,
    }),
    __metadata("design:type", Number)
], ModelSettingDto.prototype, "temperature", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: 'number',
        minimum: 0,
        maximum: 1,
        required: false,
        default: 1,
        description: `An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered.\nWe generally recommend altering this or temperature but not both.`,
    }),
    __metadata("design:type", Number)
], ModelSettingDto.prototype, "top_p", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        required: false,
        example: '',
        description: 'GGUF metadata: tokenizer.chat_template',
    }),
    __metadata("design:type", String)
], ModelSettingDto.prototype, "prompt_template", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        required: false,
        example: [],
        description: 'Defines specific tokens or phrases at which the model will stop generating further output.',
        default: [],
    }),
    (0, class_validator_1.IsArray)(),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", Array)
], ModelSettingDto.prototype, "stop", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        required: false,
        type: 'number',
        example: 0,
        description: 'Adjusts the likelihood of the model repeating words or phrases in its output.',
    }),
    __metadata("design:type", Number)
], ModelSettingDto.prototype, "frequency_penalty", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        required: false,
        type: 'number',
        example: 0,
        description: 'Influences the generation of new and varied concepts in the model’s output.',
    }),
    __metadata("design:type", Number)
], ModelSettingDto.prototype, "presence_penalty", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        required: false,
        type: 'number',
        example: 4096,
        default: 4096,
        description: 'The context length for model operations varies; the maximum depends on the specific model used.',
    }),
    __metadata("design:type", Number)
], ModelSettingDto.prototype, "ctx_len", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        required: false,
        type: 'boolean',
        example: true,
        default: true,
        description: 'Enable real-time data processing for faster predictions.',
    }),
    __metadata("design:type", Boolean)
], ModelSettingDto.prototype, "stream", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        required: false,
        type: 'number',
        example: 2048,
        default: 2048,
        description: 'The maximum number of tokens the model will generate in a single response.',
    }),
    __metadata("design:type", Number)
], ModelSettingDto.prototype, "max_tokens", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        required: false,
        type: 'number',
        example: 1,
        default: 1,
        description: 'The number of layers to load onto the GPU for acceleration.',
    }),
    __metadata("design:type", Number)
], ModelSettingDto.prototype, "ngl", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        required: false,
        type: 'number',
        example: 1,
        default: 1,
        description: 'Number of parallel sequences to decode',
    }),
    __metadata("design:type", Number)
], ModelSettingDto.prototype, "n_parallel", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        required: false,
        type: 'number',
        example: 1,
        default: 1,
        description: 'Determines CPU inference threads, limited by hardware and OS. (Maximum determined by system)',
    }),
    __metadata("design:type", Number)
], ModelSettingDto.prototype, "cpu_threads", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        required: false,
        type: 'string',
        example: '',
        default: '',
        description: 'The prompt to use for internal configuration',
    }),
    __metadata("design:type", String)
], ModelSettingDto.prototype, "pre_prompt", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        required: false,
        type: 'number',
        example: 0,
        default: 0,
        description: 'The batch size for prompt eval step',
    }),
    __metadata("design:type", Number)
], ModelSettingDto.prototype, "n_batch", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        required: false,
        type: 'boolean',
        example: true,
        default: true,
        description: 'To enable prompt caching or not',
    }),
    __metadata("design:type", Boolean)
], ModelSettingDto.prototype, "caching_enabled", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        required: false,
        type: 'number',
        example: 0,
        default: 0,
        description: 'Group attention factor in self-extend',
    }),
    __metadata("design:type", Number)
], ModelSettingDto.prototype, "grp_attn_n", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        required: false,
        type: 'number',
        example: 0,
        default: 0,
        description: 'Group attention width in self-extend',
    }),
    __metadata("design:type", Number)
], ModelSettingDto.prototype, "grp_attn_w", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        required: false,
        type: 'boolean',
        example: false,
        default: false,
        description: 'Prevent system swapping of the model to disk in macOS',
    }),
    __metadata("design:type", Boolean)
], ModelSettingDto.prototype, "mlock", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        required: false,
        type: 'string',
        example: '',
        default: '',
        description: 'You can constrain the sampling using GBNF grammars by providing path to a grammar file',
    }),
    __metadata("design:type", String)
], ModelSettingDto.prototype, "grammar_file", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        required: false,
        type: 'boolean',
        example: true,
        default: true,
        description: 'To enable Flash Attention, default is true',
    }),
    __metadata("design:type", Boolean)
], ModelSettingDto.prototype, "flash_attn", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        required: false,
        type: 'string',
        example: '',
        default: '',
        description: 'KV cache type: f16, q8_0, q4_0, default is f16',
    }),
    __metadata("design:type", String)
], ModelSettingDto.prototype, "cache_type", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        required: false,
        type: 'boolean',
        example: true,
        default: true,
        description: 'To enable mmap, default is true',
    }),
    __metadata("design:type", Boolean)
], ModelSettingDto.prototype, "use_mmap", void 0);
//# sourceMappingURL=model-setting.dto.js.map