"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChatCompletionResponseDto = void 0;
const openapi = require("@nestjs/swagger");
const swagger_1 = require("@nestjs/swagger");
const usage_dto_1 = require("./usage.dto");
const choice_dto_1 = require("./choice.dto");
class ChatCompletionResponseDto {
    static _OPENAPI_METADATA_FACTORY() {
        return { choices: { required: true, type: () => [require("./choice.dto").ChoiceDto] }, created: { required: true, type: () => Number }, id: { required: true, type: () => String }, model: { required: true, type: () => String }, object: { required: true, type: () => String }, system_fingerprint: { required: true, type: () => String }, usage: { required: true, type: () => require("./usage.dto").UsageDto } };
    }
}
exports.ChatCompletionResponseDto = ChatCompletionResponseDto;
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'A list of choices generated by the chat model.',
        type: [choice_dto_1.ChoiceDto],
    }),
    __metadata("design:type", Array)
], ChatCompletionResponseDto.prototype, "choices", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'The timestamp of when the chat completion was created, expressed as a Unix timestamp.',
        type: Number,
    }),
    __metadata("design:type", Number)
], ChatCompletionResponseDto.prototype, "created", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'The unique identifier for the chat completion.',
        type: String,
    }),
    __metadata("design:type", String)
], ChatCompletionResponseDto.prototype, "id", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'The identifier of the model used to generate the chat completion.',
        type: String,
    }),
    __metadata("design:type", String)
], ChatCompletionResponseDto.prototype, "model", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: "The type of object, typically set to 'chat_completion' to denote the nature of the API response.",
        type: String,
    }),
    __metadata("design:type", String)
], ChatCompletionResponseDto.prototype, "object", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'A unique fingerprint that identifies the system configuration used during the chat completion.',
        type: String,
    }),
    __metadata("design:type", String)
], ChatCompletionResponseDto.prototype, "system_fingerprint", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'An object representing the usage statistics of the model for the current completion.',
        type: usage_dto_1.UsageDto,
    }),
    __metadata("design:type", usage_dto_1.UsageDto)
], ChatCompletionResponseDto.prototype, "usage", void 0);
//# sourceMappingURL=chat-completion-response.dto.js.map