"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateChatCompletionDto = void 0;
const openapi = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
const chat_completion_message_dto_1 = require("./chat-completion-message.dto");
const class_transformer_1 = require("class-transformer");
const swagger_1 = require("@nestjs/swagger");
class CreateChatCompletionDto {
    static _OPENAPI_METADATA_FACTORY() {
        return { messages: { required: true, type: () => [require("./chat-completion-message.dto").ChatCompletionMessage] }, model: { required: true, type: () => String }, stream: { required: false, type: () => Boolean }, max_tokens: { required: false, type: () => Number }, stop: { required: false, type: () => [String] }, frequency_penalty: { required: false, type: () => Number }, presence_penalty: { required: false, type: () => Number }, temperature: { required: false, type: () => Number }, top_p: { required: false, type: () => Number } };
    }
}
exports.CreateChatCompletionDto = CreateChatCompletionDto;
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'Array of chat messages to be used for generating the chat completion.',
    }),
    (0, class_validator_1.IsArray)(),
    (0, class_validator_1.ValidateNested)({ each: true }),
    (0, class_transformer_1.Type)(() => chat_completion_message_dto_1.ChatCompletionMessage),
    __metadata("design:type", Array)
], CreateChatCompletionDto.prototype, "messages", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'The unique identifier of the model.',
        example: 'gpt-4',
    }),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CreateChatCompletionDto.prototype, "model", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'Determines the format for output generation. If set to `true`, the output is generated continuously, allowing for real-time streaming of responses. If set to `false`, the output is delivered in a single JSON file.',
        example: true,
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsBoolean)(),
    __metadata("design:type", Boolean)
], CreateChatCompletionDto.prototype, "stream", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'Sets the upper limit on the number of tokens the model can generate in a single output.',
        example: 4096,
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)(),
    __metadata("design:type", Number)
], CreateChatCompletionDto.prototype, "max_tokens", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'Defines specific tokens or phrases that signal the model to stop producing further output.',
        example: ["End"],
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsArray)(),
    __metadata("design:type", Array)
], CreateChatCompletionDto.prototype, "stop", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'Modifies the likelihood of the model repeating the same words or phrases within a single output.',
        example: 0.2,
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)(),
    __metadata("design:type", Number)
], CreateChatCompletionDto.prototype, "frequency_penalty", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'Reduces the likelihood of repeating tokens, promoting novelty in the output.',
        example: 0.6,
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)(),
    __metadata("design:type", Number)
], CreateChatCompletionDto.prototype, "presence_penalty", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: "Influences the randomness of the model's output.",
        example: 0.8,
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)(),
    __metadata("design:type", Number)
], CreateChatCompletionDto.prototype, "temperature", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'Sets probability threshold for more relevant outputs.',
        example: 0.95,
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)(),
    __metadata("design:type", Number)
], CreateChatCompletionDto.prototype, "top_p", void 0);
//# sourceMappingURL=create-chat-completion.dto.js.map