"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateMessageDto = void 0;
const openapi = require("@nestjs/swagger");
const swagger_1 = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
class CreateMessageDto {
    static _OPENAPI_METADATA_FACTORY() {
        return { thread_id: { required: true, type: () => String }, assistant_id: { required: false, type: () => String }, role: { required: true, type: () => Object }, content: { required: true, type: () => [Object] }, status: { required: true, type: () => Object }, metadata: { required: false, type: () => Object }, type: { required: false, type: () => String } };
    }
}
exports.CreateMessageDto = CreateMessageDto;
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'thread_456',
        description: 'The ID of the thread to which the message will be posted.',
    }),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CreateMessageDto.prototype, "thread_id", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'assistant_789',
        description: "The assistant's unique identifier.",
    }),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CreateMessageDto.prototype, "assistant_id", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'user',
        description: 'The sources of the messages.',
    }),
    __metadata("design:type", String)
], CreateMessageDto.prototype, "role", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: [
            {
                type: 'text',
                data: 'Hello, how can I help you today?'
            }
        ],
        description: 'The content of the messages.',
    }),
    (0, class_validator_1.IsArray)(),
    __metadata("design:type", Array)
], CreateMessageDto.prototype, "content", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'in_progress',
        description: 'Current status of the message.',
    }),
    __metadata("design:type", String)
], CreateMessageDto.prototype, "status", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: { urgency: 'high', tags: ['customer_support'] },
        description: 'Optional dictionary for additional unstructured message information.',
    }),
    __metadata("design:type", Object)
], CreateMessageDto.prototype, "metadata", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'text',
        description: 'Type of the message.',
    }),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CreateMessageDto.prototype, "type", void 0);
//# sourceMappingURL=create-message.dto.js.map