"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetMessageResponseDto = exports.ContentDto = void 0;
const openapi = require("@nestjs/swagger");
const swagger_1 = require("@nestjs/swagger");
class ContentDto {
    static _OPENAPI_METADATA_FACTORY() {
        return { type: { required: true, type: () => String }, text: { required: true, type: () => ({ value: { required: true, type: () => String }, annotations: { required: true, type: () => [String] } }) } };
    }
}
exports.ContentDto = ContentDto;
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'text',
        description: 'Type of content, e.g., "text".',
    }),
    __metadata("design:type", String)
], ContentDto.prototype, "type", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: 'object',
        example: {
            value: 'How does AI work? Explain it in simple terms.',
            annotations: [],
        },
        description: 'Text content of the message along with any annotations.',
    }),
    __metadata("design:type", Object)
], ContentDto.prototype, "text", void 0);
class GetMessageResponseDto {
    static _OPENAPI_METADATA_FACTORY() {
        return { id: { required: true, type: () => String }, object: { required: true, type: () => String }, created_at: { required: true, type: () => Number }, thread_id: { required: true, type: () => String }, role: { required: true, type: () => String }, content: { required: true, type: () => [require("./get-message.dto").ContentDto] }, file_ids: { required: true, type: () => [String] }, assistant_id: { required: true, type: () => String, nullable: true }, run_id: { required: true, type: () => String, nullable: true }, metadata: { required: true, type: () => Object } };
    }
}
exports.GetMessageResponseDto = GetMessageResponseDto;
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'msg_abc123',
        description: 'The identifier of the message.',
    }),
    __metadata("design:type", String)
], GetMessageResponseDto.prototype, "id", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'thread.message',
        description: "Type of the object, indicating it's a thread message.",
        default: 'thread.message',
    }),
    __metadata("design:type", String)
], GetMessageResponseDto.prototype, "object", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 1699017614,
        description: 'Unix timestamp representing the creation time of the message.',
        type: 'integer',
    }),
    __metadata("design:type", Number)
], GetMessageResponseDto.prototype, "created_at", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'thread_abc123',
        description: 'Identifier of the thread to which this message belongs.',
    }),
    __metadata("design:type", String)
], GetMessageResponseDto.prototype, "thread_id", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'user',
        description: "Role of the sender, either 'user' or 'assistant'.",
    }),
    __metadata("design:type", String)
], GetMessageResponseDto.prototype, "role", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: [ContentDto],
        description: 'Array of content objects detailing the message content.',
    }),
    __metadata("design:type", Array)
], GetMessageResponseDto.prototype, "content", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: [],
        description: 'Array of file IDs associated with the message, if any.',
        type: [String],
    }),
    __metadata("design:type", Array)
], GetMessageResponseDto.prototype, "file_ids", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        nullable: true,
        example: null,
        description: 'Identifier of the assistant involved in the message, if applicable.',
    }),
    __metadata("design:type", Object)
], GetMessageResponseDto.prototype, "assistant_id", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        nullable: true,
        example: null,
        description: 'Run ID associated with the message, if applicable.',
    }),
    __metadata("design:type", Object)
], GetMessageResponseDto.prototype, "run_id", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: {},
        description: 'Metadata associated with the message.',
    }),
    __metadata("design:type", Object)
], GetMessageResponseDto.prototype, "metadata", void 0);
//# sourceMappingURL=get-message.dto.js.map