"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListMessagesResponseDto = exports.ListMessageObjectDto = void 0;
const openapi = require("@nestjs/swagger");
const swagger_1 = require("@nestjs/swagger");
class ListMessageObjectDto {
    static _OPENAPI_METADATA_FACTORY() {
        return { id: { required: true, type: () => String }, object: { required: true, type: () => String }, created_at: { required: true, type: () => Number }, thread_id: { required: true, type: () => String }, role: { required: true, type: () => String }, file_ids: { required: true, type: () => [String] }, assistant_id: { required: true, type: () => String, nullable: true }, run_id: { required: true, type: () => String, nullable: true }, metadata: { required: true, type: () => Object } };
    }
}
exports.ListMessageObjectDto = ListMessageObjectDto;
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'msg_abc123',
        description: 'The identifier of the message.',
    }),
    __metadata("design:type", String)
], ListMessageObjectDto.prototype, "id", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'thread.message',
        description: "Type of the object, indicating it's a thread message.",
    }),
    __metadata("design:type", String)
], ListMessageObjectDto.prototype, "object", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 1699017614,
        description: 'Unix timestamp representing the creation time of the message.',
        type: 'integer',
    }),
    __metadata("design:type", Number)
], ListMessageObjectDto.prototype, "created_at", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'thread_abc123',
        description: 'Identifier of the thread to which this message belongs.',
    }),
    __metadata("design:type", String)
], ListMessageObjectDto.prototype, "thread_id", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'user',
        description: "Role of the sender, either 'user' or 'assistant'.",
    }),
    __metadata("design:type", String)
], ListMessageObjectDto.prototype, "role", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'Array of file IDs associated with the message, if any.',
        type: [String],
        example: [],
    }),
    __metadata("design:type", Array)
], ListMessageObjectDto.prototype, "file_ids", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        nullable: true,
        description: 'Identifier of the assistant involved in the message, if applicable.',
        example: null,
    }),
    __metadata("design:type", Object)
], ListMessageObjectDto.prototype, "assistant_id", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        nullable: true,
        description: 'Run ID associated with the message, if applicable.',
        example: null,
    }),
    __metadata("design:type", Object)
], ListMessageObjectDto.prototype, "run_id", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: {},
        description: 'Metadata associated with the message.',
    }),
    __metadata("design:type", Object)
], ListMessageObjectDto.prototype, "metadata", void 0);
class ListMessagesResponseDto {
    static _OPENAPI_METADATA_FACTORY() {
        return { object: { required: true, type: () => String }, data: { required: true, type: () => [require("./list-message.dto").ListMessageObjectDto] }, first_id: { required: true, type: () => String }, last_id: { required: true, type: () => String }, has_more: { required: true, type: () => Boolean } };
    }
}
exports.ListMessagesResponseDto = ListMessagesResponseDto;
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'list',
        description: "Type of the object, indicating it's a list.",
    }),
    __metadata("design:type", String)
], ListMessagesResponseDto.prototype, "object", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: [ListMessageObjectDto],
        description: 'Array of message objects.',
    }),
    __metadata("design:type", Array)
], ListMessagesResponseDto.prototype, "data", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'msg_abc123',
        description: 'Identifier of the first message in the list.',
    }),
    __metadata("design:type", String)
], ListMessagesResponseDto.prototype, "first_id", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'msg_abc456',
        description: 'Identifier of the last message in the list.',
    }),
    __metadata("design:type", String)
], ListMessagesResponseDto.prototype, "last_id", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: false,
        description: 'Indicates whether there are more messages to retrieve.',
    }),
    __metadata("design:type", Boolean)
], ListMessagesResponseDto.prototype, "has_more", void 0);
//# sourceMappingURL=list-message.dto.js.map