"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateModelDto = void 0;
const openapi = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
const model_artifact_dto_1 = require("./model-artifact.dto");
const swagger_1 = require("@nestjs/swagger");
class CreateModelDto {
    static _OPENAPI_METADATA_FACTORY() {
        return { model: { required: true, type: () => String }, name: { required: false, type: () => String }, files: { required: true, type: () => Object }, prompt_template: { required: false, type: () => String }, stop: { required: false, type: () => [String] }, max_tokens: { required: false, type: () => Number }, top_p: { required: false, type: () => Number }, temperature: { required: false, type: () => Number }, frequency_penalty: { required: false, type: () => Number }, presence_penalty: { required: false, type: () => Number }, stream: { required: false, type: () => Boolean }, ctx_len: { required: false, type: () => Number }, ngl: { required: false, type: () => Number }, n_parallel: { required: false, type: () => Number, minimum: 1 }, cpu_threads: { required: false, type: () => Number, minimum: 1 }, engine: { required: false, type: () => String }, owned_by: { required: false, type: () => String } };
    }
}
exports.CreateModelDto = CreateModelDto;
__decorate([
    (0, swagger_1.ApiProperty)({ description: 'The unique identifier of the model.' }),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CreateModelDto.prototype, "model", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ description: 'The name of the model.' }),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CreateModelDto.prototype, "name", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'The URL sources from which the model downloaded or accessed.',
        oneOf: [
            { type: 'array', items: { type: 'string' } },
            { $ref: (0, swagger_1.getSchemaPath)(model_artifact_dto_1.ModelArtifactDto) },
        ],
    }),
    (0, class_validator_1.IsArray)(),
    __metadata("design:type", Object)
], CreateModelDto.prototype, "files", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: "A predefined text or framework that guides the AI model's response generation.",
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CreateModelDto.prototype, "prompt_template", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'Defines specific tokens or phrases that signal the model to stop producing further output.',
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsArray)(),
    __metadata("design:type", Array)
], CreateModelDto.prototype, "stop", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'Sets the upper limit on the number of tokens the model can generate in a single output.',
        example: 4096,
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)(),
    __metadata("design:type", Number)
], CreateModelDto.prototype, "max_tokens", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'Sets probability threshold for more relevant outputs.',
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)(),
    __metadata("design:type", Number)
], CreateModelDto.prototype, "top_p", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: "Influences the randomness of the model's output.",
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)(),
    __metadata("design:type", Number)
], CreateModelDto.prototype, "temperature", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'Modifies the likelihood of the model repeating the same words or phrases within a single output.',
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)(),
    __metadata("design:type", Number)
], CreateModelDto.prototype, "frequency_penalty", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'Reduces the likelihood of repeating tokens, promoting novelty in the output.',
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)(),
    __metadata("design:type", Number)
], CreateModelDto.prototype, "presence_penalty", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'Determines the format for output generation. If set to `true`, the output is generated continuously, allowing for real-time streaming of responses. If set to `false`, the output is delivered in a single JSON file.',
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsBoolean)(),
    __metadata("design:type", Boolean)
], CreateModelDto.prototype, "stream", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'Sets the maximum input the model can use to generate a response, it varies with the model used.',
        example: 4096,
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)(),
    __metadata("design:type", Number)
], CreateModelDto.prototype, "ctx_len", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ description: 'Determines GPU layer usage.', example: 32 }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)(),
    __metadata("design:type", Number)
], CreateModelDto.prototype, "ngl", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'Number of parallel processing units to use.',
        example: 1,
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)(),
    (0, class_validator_1.Min)(1),
    __metadata("design:type", Number)
], CreateModelDto.prototype, "n_parallel", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'Determines CPU inference threads, limited by hardware and OS. ',
        example: 10,
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)(),
    (0, class_validator_1.Min)(1),
    __metadata("design:type", Number)
], CreateModelDto.prototype, "cpu_threads", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'The engine used to run the model.',
        example: 'cortex.llamacpp',
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CreateModelDto.prototype, "engine", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'The owner of the model.',
        example: '',
        default: '',
    }),
    __metadata("design:type", String)
], CreateModelDto.prototype, "owned_by", void 0);
//# sourceMappingURL=create-model.dto.js.map