"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModelSettingsDto = void 0;
const openapi = require("@nestjs/swagger");
const swagger_1 = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
class ModelSettingsDto {
    static _OPENAPI_METADATA_FACTORY() {
        return { prompt_template: { required: false, type: () => String }, stop: { required: false, type: () => [String] }, ngl: { required: false, type: () => Number }, ctx_len: { required: false, type: () => Number }, cpu_threads: { required: false, type: () => Number, minimum: 1 }, pre_prompt: { required: false, type: () => String }, n_batch: { required: false, type: () => Number }, caching_enabled: { required: false, type: () => Boolean }, grp_attn_n: { required: false, type: () => Number }, grp_attn_w: { required: false, type: () => Number }, mlock: { required: false, type: () => Boolean }, grammar_file: { required: false, type: () => String }, flash_attn: { required: false, type: () => Boolean }, cache_type: { required: false, type: () => String }, use_mmap: { required: false, type: () => Boolean }, engine: { required: false, type: () => String } };
    }
}
exports.ModelSettingsDto = ModelSettingsDto;
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'system\n{system_message}\nuser\n{prompt}\nassistant',
        description: "A predefined text or framework that guides the AI model's response generation.",
    }),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", String)
], ModelSettingsDto.prototype, "prompt_template", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: [String],
        example: [],
        description: 'Defines specific tokens or phrases that signal the model to stop producing further output.',
    }),
    (0, class_validator_1.IsArray)(),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", Array)
], ModelSettingsDto.prototype, "stop", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ description: 'Determines GPU layer usage.', example: 4096 }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)(),
    __metadata("design:type", Number)
], ModelSettingsDto.prototype, "ngl", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'The context length for model operations varies; the maximum depends on the specific model used.',
        example: 4096,
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)(),
    __metadata("design:type", Number)
], ModelSettingsDto.prototype, "ctx_len", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'Determines CPU inference threads, limited by hardware and OS. ',
        example: 10,
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)(),
    (0, class_validator_1.Min)(1),
    __metadata("design:type", Number)
], ModelSettingsDto.prototype, "cpu_threads", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'The prompt to use for internal configuration',
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], ModelSettingsDto.prototype, "pre_prompt", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'The batch size for prompt eval step',
        example: 2048,
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)(),
    __metadata("design:type", Number)
], ModelSettingsDto.prototype, "n_batch", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'To enable prompt caching or not',
        example: true,
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsBoolean)(),
    __metadata("design:type", Boolean)
], ModelSettingsDto.prototype, "caching_enabled", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'Group attention factor in self-extend',
        example: 1,
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)(),
    __metadata("design:type", Number)
], ModelSettingsDto.prototype, "grp_attn_n", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'Group attention width in self-extend',
        example: 512,
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)(),
    __metadata("design:type", Number)
], ModelSettingsDto.prototype, "grp_attn_w", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'Prevent system swapping of the model to disk in macOS',
        example: false,
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsBoolean)(),
    __metadata("design:type", Boolean)
], ModelSettingsDto.prototype, "mlock", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'You can constrain the sampling using GBNF grammars by providing path to a grammar file',
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], ModelSettingsDto.prototype, "grammar_file", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'To enable Flash Attention, default is true',
        example: true,
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsBoolean)(),
    __metadata("design:type", Boolean)
], ModelSettingsDto.prototype, "flash_attn", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'KV cache type: f16, q8_0, q4_0, default is f16',
        example: 'f16',
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], ModelSettingsDto.prototype, "cache_type", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        description: 'To enable mmap, default is true',
        example: true,
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsBoolean)(),
    __metadata("design:type", Boolean)
], ModelSettingsDto.prototype, "use_mmap", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'cortex.llamacpp',
        description: 'The engine to use.',
    }),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", String)
], ModelSettingsDto.prototype, "engine", void 0);
//# sourceMappingURL=model-settings.dto.js.map