"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateThreadAssistantDto = void 0;
const openapi = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
const swagger_1 = require("@nestjs/swagger");
class CreateThreadAssistantDto {
    static _OPENAPI_METADATA_FACTORY() {
        return { id: { required: true, type: () => String }, avatar: { required: false, type: () => String }, name: { required: true, type: () => String }, model: { required: true, type: () => String }, instructions: { required: true, type: () => String }, tools: { required: true, type: () => Object }, description: { required: true, type: () => String, nullable: true }, metadata: { required: true, type: () => Object, nullable: true }, object: { required: true, type: () => String }, temperature: { required: false, type: () => Number, nullable: true }, top_p: { required: false, type: () => Number, nullable: true }, created_at: { required: true, type: () => Number }, response_format: { required: false, type: () => Object }, tool_resources: { required: false, type: () => Object } };
    }
}
exports.CreateThreadAssistantDto = CreateThreadAssistantDto;
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'thread_123',
        description: 'The unique identifier of the assistant.',
        type: 'string',
    }),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CreateThreadAssistantDto.prototype, "id", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'https://example.com/avatar.png',
        description: 'URL of the assistant\'s avatar image.',
        type: 'string',
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CreateThreadAssistantDto.prototype, "avatar", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'Virtual Helper',
        description: 'The name of the assistant.',
        type: 'string',
    }),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CreateThreadAssistantDto.prototype, "name", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'llama3',
        description: 'The model\'s unique identifier and settings.',
        type: 'string',
    }),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CreateThreadAssistantDto.prototype, "model", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'Assist with customer queries and provide information based on the company database.',
        description: 'The assistant\'s specific instructions.',
        type: 'string',
    }),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CreateThreadAssistantDto.prototype, "instructions", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: [{ name: 'Knowledge Retrieval', settings: { source: 'internal', endpoint: 'https://api.example.com/knowledge' } }],
        description: 'The thread\'s tool(Knowledge Retrieval) configurations.',
        type: 'array',
    }),
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsArray)(),
    __metadata("design:type", Object)
], CreateThreadAssistantDto.prototype, "tools", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'This assistant helps with customer support by retrieving relevant information.',
        description: 'The description of the assistant.',
        type: 'string',
    }),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", Object)
], CreateThreadAssistantDto.prototype, "description", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: { department: 'support', version: '1.0' },
        description: 'Additional metadata for the assistant.',
        type: 'object',
    }),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", Object)
], CreateThreadAssistantDto.prototype, "metadata", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'assistant',
        description: 'The object type, always "assistant".',
        type: 'string',
    }),
    __metadata("design:type", String)
], CreateThreadAssistantDto.prototype, "object", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 0.7,
        description: 'Sampling temperature for the assistant.',
        type: 'number',
    }),
    (0, class_validator_1.IsNumber)(),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", Object)
], CreateThreadAssistantDto.prototype, "temperature", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 0.9,
        description: 'Top-p sampling value for the assistant.',
        type: 'number',
    }),
    (0, class_validator_1.IsNumber)(),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", Object)
], CreateThreadAssistantDto.prototype, "top_p", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 1622470423,
        description: 'Timestamp of when the assistant was created.',
        type: 'number',
    }),
    __metadata("design:type", Number)
], CreateThreadAssistantDto.prototype, "created_at", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: { format: 'json' },
        description: 'The response format option for the assistant.',
        type: 'object',
    }),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", Object)
], CreateThreadAssistantDto.prototype, "response_format", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: { resources: ['database1', 'database2'] },
        description: 'Tool resources for the assistant.',
        type: 'object',
    }),
    (0, class_validator_1.IsOptional)(),
    __metadata("design:type", Object)
], CreateThreadAssistantDto.prototype, "tool_resources", void 0);
//# sourceMappingURL=create-thread-assistant.dto.js.map