"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlobalExceptionFilter = void 0;
const telemetry_interface_1 = require("../../domain/telemetry/telemetry.interface");
const telemetry_usecases_1 = require("../../usecases/telemetry/telemetry.usecases");
const common_1 = require("@nestjs/common");
let GlobalExceptionFilter = class GlobalExceptionFilter {
    constructor(telemetryService) {
        this.telemetryService = telemetryService;
    }
    async catch(exception, host) {
        const isHttpException = exception instanceof common_1.HttpException;
        const httpStatus = isHttpException
            ? exception.getStatus()
            : common_1.HttpStatus.INTERNAL_SERVER_ERROR;
        const message = isHttpException
            ? exception.message
            : 'Internal Server Error';
        const response = host.switchToHttp().getResponse();
        if (!isHttpException || httpStatus === common_1.HttpStatus.INTERNAL_SERVER_ERROR) {
            await this.telemetryService.createCrashReport(exception, telemetry_interface_1.TelemetrySource.CORTEX_SERVER);
            await this.telemetryService.sendCrashReport();
        }
        response.status(httpStatus).json({
            statusCode: httpStatus,
            message,
        });
    }
};
exports.GlobalExceptionFilter = GlobalExceptionFilter;
exports.GlobalExceptionFilter = GlobalExceptionFilter = __decorate([
    (0, common_1.Catch)(),
    __metadata("design:paramtypes", [telemetry_usecases_1.TelemetryUsecases])
], GlobalExceptionFilter);
//# sourceMappingURL=global.exception.js.map