"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppLoggerMiddleware = void 0;
const telemetry_interface_1 = require("../../domain/telemetry/telemetry.interface");
const common_1 = require("@nestjs/common");
const context_service_1 = require("../services/context/context.service");
let AppLoggerMiddleware = class AppLoggerMiddleware {
    constructor(contextService) {
        this.contextService = contextService;
        this.logger = new common_1.Logger('HTTP');
    }
    use(req, res, next) {
        var _a, _b;
        const userAgent = (_a = req.get('user-agent')) !== null && _a !== void 0 ? _a : '';
        const { ip, method, path: url, originalUrl } = req;
        const correlationHeader = (_b = req.header('x-correlation-id')) !== null && _b !== void 0 ? _b : '';
        req.headers['x-correlation-id'] = correlationHeader;
        res.set('X-Correlation-Id', correlationHeader);
        res.on('close', () => {
            const { statusCode } = res;
            const contentLength = res.get('content-length');
            this.logger.log(JSON.stringify({
                method: method,
                path: originalUrl !== null && originalUrl !== void 0 ? originalUrl : url,
                statusCode: statusCode,
                ip: ip,
                content_length: contentLength,
                user_agent: userAgent,
                x_correlation_id: req.headers['x-correlation-id'],
            }));
        });
        this.contextService.init(() => {
            this.contextService.set('endpoint', originalUrl !== null && originalUrl !== void 0 ? originalUrl : url);
            this.contextService.set('source', telemetry_interface_1.TelemetrySource.CORTEX_SERVER);
            next();
        });
    }
};
exports.AppLoggerMiddleware = AppLoggerMiddleware;
exports.AppLoggerMiddleware = AppLoggerMiddleware = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [context_service_1.ContextService])
], AppLoggerMiddleware);
//# sourceMappingURL=app.logger.middleware.js.map