import { OAIEngineExtension } from '@/domain/abstracts/oai.abstract';
import { Model, ModelSettingParams } from '@/domain/models/model.interface';
import { HttpService } from '@nestjs/axios';
import { FileManagerService } from '@/infrastructure/services/file-manager/file-manager.service';
export default class CortexProvider extends OAIEngineExtension {
    protected readonly httpService: HttpService;
    private readonly fileManagerService;
    apiUrl: string;
    name: string;
    productName: string;
    description: string;
    version: string;
    apiKey?: string | undefined;
    private loadModelUrl;
    private unloadModelUrl;
    constructor(httpService: HttpService, fileManagerService: FileManagerService);
    loadModel(model: Model, settings?: ModelSettingParams): Promise<void>;
    unloadModel(modelId: string): Promise<void>;
    private readonly promptTemplateConverter;
}
