import { ExtensionRepository } from '@/domain/repositories/extension.interface';
import { Extension } from '@/domain/abstracts/extension.abstract';
import { FileManagerService } from '@/infrastructure/services/file-manager/file-manager.service';
import { OAIEngineExtension } from '@/domain/abstracts/oai.abstract';
import { HttpService } from '@nestjs/axios';
export declare class ExtensionRepositoryImpl implements ExtensionRepository {
    private readonly fileService;
    private readonly coreExtensions;
    private readonly httpService;
    private readonly fileManagerService;
    extensions: Map<string, Extension>;
    constructor(fileService: FileManagerService, coreExtensions: OAIEngineExtension[], httpService: HttpService, fileManagerService: FileManagerService);
    create(object: Extension): Promise<Extension>;
    findAll(): Promise<Extension[]>;
    findOne(id: string): Promise<Extension | null>;
    update(): Promise<void>;
    remove(id: string): Promise<void>;
    private loadCoreExtensions;
    private loadExternalExtensions;
    private loadExtensions;
}
