import { ModelRepository } from '@/domain/repositories/model.interface';
import { Model } from '@/domain/models/model.interface';
import { FileManagerService } from '@/infrastructure/services/file-manager/file-manager.service';
export declare class ModelRepositoryImpl implements ModelRepository {
    private readonly fileService;
    models: Map<string, Model>;
    fileModel: Map<string, string>;
    loaded: boolean;
    constructor(fileService: FileManagerService);
    create(object: Model): Promise<Model>;
    findAll(): Promise<Model[]>;
    findOne(id: string): Promise<Model | null>;
    update(id: string, object: Partial<Model>): Promise<void>;
    remove(id: string): Promise<void>;
    private loadModels;
}
