import { Config } from '@/domain/config/config.interface';
export declare class FileManagerService {
    private configFile;
    private cortexDirectoryName;
    private modelFolderName;
    private presetFolderName;
    private extensionFoldername;
    private benchmarkFoldername;
    private cortexCppFolderName;
    private cortexTelemetryFolderName;
    getConfig(): Promise<Config & object>;
    writeConfigFile(config: Config & object): Promise<void>;
    private createFolderIfNotExist;
    private defaultConfig;
    getDataFolderPath(): Promise<string>;
    getLastLine(filePath: string): Promise<{
        data: any;
        position: number;
    }>;
    modifyLine(filePath: string, modifiedLine: any, position: number): Promise<void>;
    append(filePath: string, data: any): Promise<void>;
    readLines(filePath: string, callback: (line: string) => void): void;
    getModelsPath(): Promise<string>;
    getPresetsPath(): Promise<string>;
    getExtensionsPath(): Promise<string>;
    getBenchmarkPath(): Promise<string>;
    getCortexCppEnginePath(): Promise<string>;
    getLogPath(): Promise<string>;
    createFolderIfNotExistInDataFolder(folderName: string): Promise<void>;
    readFile(filePath: string): Promise<string | null>;
    writeFile(filePath: string, data: any): Promise<void>;
}
