"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResourcesManagerService = void 0;
const common_1 = require("@nestjs/common");
const systeminformation_1 = __importDefault(require("systeminformation"));
let ResourcesManagerService = class ResourcesManagerService {
    async getResourceStatuses() {
        const promises = [systeminformation_1.default.currentLoad(), systeminformation_1.default.mem()];
        const results = await Promise.all(promises);
        const cpuUsage = results[0];
        const memory = results[1];
        const memInfo = {
            total: memory.total,
            used: memory.used,
        };
        return {
            mem: memInfo,
            cpu: {
                usage: cpuUsage.avgLoad,
            },
        };
    }
};
exports.ResourcesManagerService = ResourcesManagerService;
exports.ResourcesManagerService = ResourcesManagerService = __decorate([
    (0, common_1.Injectable)()
], ResourcesManagerService);
//# sourceMappingURL=resources-manager.service.js.map