"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const cortex_1 = require("./infrastructure/constants/cortex");
const app_1 = require("./app");
const chalk_1 = __importDefault(require("chalk"));
async function bootstrap() {
    const app = await (0, app_1.getApp)();
    const host = process.env.CORTEX_JS_HOST || cortex_1.defaultCortexJsHost;
    const port = process.env.CORTEX_JS_PORT || cortex_1.defaultCortexJsPort;
    try {
        await app.listen(port, host);
        console.log(chalk_1.default.blue(`Started server at http://${host}:${port}`));
        console.log(chalk_1.default.blue(`API Playground available at http://${host}:${port}/api`));
    }
    catch (_a) {
        console.error(`Failed to start server. Is port ${port} in use?`);
    }
}
bootstrap();
//# sourceMappingURL=main.js.map