import { AssistantEntity } from '@/infrastructure/entities/assistant.entity';
import { Repository } from 'typeorm';
import { CreateAssistantDto } from '@/infrastructure/dtos/assistants/create-assistant.dto';
import { Assistant } from '@/domain/models/assistant.interface';
import { PageDto } from '@/infrastructure/dtos/page.dto';
import { ModelRepository } from '@/domain/repositories/model.interface';
export declare class AssistantsUsecases {
    private readonly assistantRepository;
    private readonly modelRepository;
    constructor(assistantRepository: Repository<AssistantEntity>, modelRepository: ModelRepository);
    create(createAssistantDto: CreateAssistantDto): Promise<AssistantEntity | null>;
    listAssistants(limit: number, order: 'asc' | 'desc', after?: string, before?: string): Promise<PageDto<AssistantEntity>>;
    findAll(): Promise<Assistant[]>;
    findOne(id: string): Promise<AssistantEntity | null>;
    remove(id: string): Promise<import("typeorm").DeleteResult>;
}
