import { CreateChatCompletionDto } from '@/infrastructure/dtos/chat/create-chat-completion.dto';
import { TelemetryUsecases } from '../telemetry/telemetry.usecases';
import { ModelRepository } from '@/domain/repositories/model.interface';
import { ExtensionRepository } from '@/domain/repositories/extension.interface';
import { HttpService } from '@nestjs/axios';
import { CreateEmbeddingsDto } from '@/infrastructure/dtos/embeddings/embeddings-request.dto';
import { FileManagerService } from '@/infrastructure/services/file-manager/file-manager.service';
export declare class ChatUsecases {
    private readonly modelRepository;
    private readonly extensionRepository;
    private readonly telemetryUseCases;
    private readonly httpService;
    private readonly fileService;
    constructor(modelRepository: ModelRepository, extensionRepository: ExtensionRepository, telemetryUseCases: TelemetryUsecases, httpService: HttpService, fileService: FileManagerService);
    inference(createChatDto: CreateChatCompletionDto, headers: Record<string, string>): Promise<any>;
    embeddings(dto: CreateEmbeddingsDto): Promise<any>;
}
