"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConfigsUsecases = void 0;
const file_manager_service_1 = require("../../infrastructure/services/file-manager/file-manager.service");
const common_1 = require("@nestjs/common");
const event_emitter_1 = require("@nestjs/event-emitter");
let ConfigsUsecases = class ConfigsUsecases {
    constructor(fileManagerService, eventEmitter) {
        this.fileManagerService = fileManagerService;
        this.eventEmitter = eventEmitter;
    }
    async saveConfig(key, value, group) {
        const configs = await this.fileManagerService.getConfig();
        const groupConfigs = configs[group];
        const newConfigs = {
            ...configs,
            ...(group
                ? {
                    [group]: {
                        ...groupConfigs,
                        [key]: value,
                    },
                }
                : {}),
        };
        return this.fileManagerService
            .writeConfigFile(newConfigs)
            .then(async () => {
            if (group) {
                this.eventEmitter.emit('config.updated', {
                    group,
                    key,
                    value,
                });
            }
        })
            .then(() => {
            return {
                message: 'The config has been successfully updated.',
            };
        });
    }
    async getGroupConfigs(group) {
        const configs = await this.fileManagerService.getConfig();
        return configs[group];
    }
    async getConfigs() {
        return this.fileManagerService.getConfig();
    }
    async getKeyConfig(key) {
        const configs = await this.fileManagerService.getConfig();
        return configs[key];
    }
};
exports.ConfigsUsecases = ConfigsUsecases;
exports.ConfigsUsecases = ConfigsUsecases = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [file_manager_service_1.FileManagerService,
        event_emitter_1.EventEmitter2])
], ConfigsUsecases);
//# sourceMappingURL=configs.usecase.js.map