import { CreateMessageDto } from '@/infrastructure/dtos/messages/create-message.dto';
import { UpdateMessageDto } from '@/infrastructure/dtos/messages/update-message.dto';
import { Repository } from 'typeorm';
import { MessageEntity } from '@/infrastructure/entities/message.entity';
export declare class MessagesUsecases {
    private messageRepository;
    constructor(messageRepository: Repository<MessageEntity>);
    create(createMessageDto: CreateMessageDto): Promise<void>;
    findAll(): Promise<MessageEntity[]>;
    findOne(id: string): Promise<MessageEntity | null>;
    update(id: string, updateMessageDto: UpdateMessageDto): Promise<import("typeorm").UpdateResult>;
    remove(id: string): Promise<import("typeorm").DeleteResult>;
    getLastMessagesByThread(threadId: string, limit: number): Promise<MessageEntity[]>;
}
