"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessagesUsecases = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("typeorm");
const ulid_1 = require("ulid");
let MessagesUsecases = class MessagesUsecases {
    constructor(messageRepository) {
        this.messageRepository = messageRepository;
    }
    async create(createMessageDto) {
        const { assistant_id } = createMessageDto;
        const message = {
            ...createMessageDto,
            id: (0, ulid_1.ulid)(),
            created_at: Date.now(),
            object: 'thread.message',
            run_id: null,
            completed_at: null,
            incomplete_details: null,
            attachments: [],
            incomplete_at: null,
            metadata: undefined,
            assistant_id: assistant_id !== null && assistant_id !== void 0 ? assistant_id : null,
        };
        this.messageRepository.insert(message);
    }
    findAll() {
        return this.messageRepository.find();
    }
    findOne(id) {
        return this.messageRepository.findOne({
            where: {
                id,
            },
        });
    }
    update(id, updateMessageDto) {
        const updateEntity = {
            ...updateMessageDto,
        };
        return this.messageRepository.update(id, updateEntity);
    }
    remove(id) {
        return this.messageRepository.delete(id);
    }
    async getLastMessagesByThread(threadId, limit) {
        return this.messageRepository.find({
            where: {
                thread_id: threadId,
            },
            order: {
                created_at: 'DESC',
            },
            take: limit,
        });
    }
};
exports.MessagesUsecases = MessagesUsecases;
exports.MessagesUsecases = MessagesUsecases = __decorate([
    (0, common_1.Injectable)(),
    __param(0, (0, common_1.Inject)('MESSAGE_REPOSITORY')),
    __metadata("design:paramtypes", [typeorm_1.Repository])
], MessagesUsecases);
//# sourceMappingURL=messages.usecases.js.map