import { CreateThreadDto } from '@/infrastructure/dtos/threads/create-thread.dto';
import { UpdateThreadDto } from '@/infrastructure/dtos/threads/update-thread.dto';
import { ThreadEntity } from '@/infrastructure/entities/thread.entity';
import { Repository } from 'typeorm';
import { MessageEntity } from '@/infrastructure/entities/message.entity';
import { PageDto } from '@/infrastructure/dtos/page.dto';
import { CreateMessageDto } from '@/infrastructure/dtos/threads/create-message.dto';
import { Message } from '@/domain/models/message.interface';
import { UpdateMessageDto } from '@/infrastructure/dtos/threads/update-message.dto';
import DeleteMessageDto from '@/infrastructure/dtos/threads/delete-message.dto';
export declare class ThreadsUsecases {
    private threadRepository;
    private messageRepository;
    constructor(threadRepository: Repository<ThreadEntity>, messageRepository: Repository<MessageEntity>);
    create(createThreadDto: CreateThreadDto): Promise<ThreadEntity>;
    findAll(): Promise<ThreadEntity[]>;
    getMessagesOfThread(threadId: string, limit: number, order: 'asc' | 'desc', after?: string, before?: string, runId?: string): Promise<PageDto<MessageEntity>>;
    createMessageInThread(threadId: string, createMessageDto: CreateMessageDto): Promise<MessageEntity>;
    updateMessage(threadId: string, messageId: string, updateMessageDto: UpdateMessageDto): Promise<MessageEntity | null>;
    private getThreadOrThrow;
    private getMessageOrThrow;
    findOne(id: string): Promise<ThreadEntity | null>;
    update(id: string, updateThreadDto: UpdateThreadDto): Promise<import("typeorm").UpdateResult>;
    remove(id: string): void;
    deleteMessage(_threadId: string, messageId: string): Promise<DeleteMessageDto>;
    retrieveMessage(_threadId: string, messageId: string): Promise<Message>;
    clean(threadId: string): Promise<void>;
}
