"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.printLastErrorLines = printLastErrorLines;
const fs_1 = require("fs");
const readline_1 = require("readline");
async function printLastErrorLines(logPath, numLines = 10) {
    const errorLines = [];
    const fileStream = (0, fs_1.createReadStream)(logPath);
    const rl = (0, readline_1.createInterface)({
        input: fileStream,
        crlfDelay: Infinity,
    });
    for await (const line of rl) {
        errorLines.push(line);
        if (errorLines.length > numLines) {
            errorLines.shift();
        }
    }
    console.log(`Last errors:`);
    errorLines.forEach((line) => console.log(line));
    console.log('...');
}
//# sourceMappingURL=logs.js.map