"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseModelHubEngineBranch = exports.isLocalModel = exports.normalizeModelId = void 0;
const cuda_1 = require("./cuda");
const normalizeModelId = (modelId) => {
    return modelId.replace(':default', '').replace(/[:/]/g, '-');
};
exports.normalizeModelId = normalizeModelId;
const isLocalModel = (modelFiles) => {
    return (!!modelFiles &&
        Array.isArray(modelFiles) &&
        !/^(http|https):\/\/[^/]+\/.*/.test(modelFiles[0]));
};
exports.isLocalModel = isLocalModel;
const parseModelHubEngineBranch = async (branch) => {
    var _a;
    if (branch.includes('tensorrt')) {
        let engineBranch = branch;
        const platform = process.platform == 'win32' ? 'windows' : 'linux';
        if (!engineBranch.includes(platform)) {
            engineBranch += `-${platform}`;
        }
        const gpus = await (0, cuda_1.getGpuInfo)();
        if (((_a = gpus[0]) === null || _a === void 0 ? void 0 : _a.arch) && !engineBranch.includes(gpus[0].arch)) {
            engineBranch += `-${gpus[0].arch}`;
        }
        return engineBranch;
    }
    return branch;
};
exports.parseModelHubEngineBranch = parseModelHubEngineBranch;
//# sourceMappingURL=normalize-model-id.js.map