import { GithubRelease, GithubReleaseAsset } from './interfaces';
/**
 * Download a specific github release
 * @param user The name of the github user or organization
 * @param repo The name of the github repository
 * @param outputDir The directory to write the release to
 * @param filterRelease Optionally filter the release
 * @param filterAsset Optionally filter the asset for a given release
 * @param leaveZipped Optionally leave the file zipped
 * @param leaveZipped Optionally disable logging for quiet output
*/
export declare function downloadRelease(user: string, repo: string, outputDir: string, filterRelease?: (release: GithubRelease) => boolean, filterAsset?: (release: GithubReleaseAsset) => boolean, leaveZipped?: boolean, disableLogging?: boolean): Promise<string[]>;
//# sourceMappingURL=downloadRelease.d.ts.map