"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getReleases = void 0;
const got_1 = __importDefault(require("got"));
const { GITHUB_TOKEN } = process.env;
async function getReleases(user, repo) {
    const url = `https://api.github.com/repos/${user}/${repo}/releases`;
    const requestConfig = {
        headers: {
            'User-Agent': '@terascope/fetch-github-release'
        },
        responseType: 'json'
    };
    if (GITHUB_TOKEN) {
        requestConfig.headers.Authorization = `token ${GITHUB_TOKEN}`;
    }
    const r = await got_1.default.get(url, requestConfig);
    return r.body;
}
exports.getReleases = getReleases;
//# sourceMappingURL=getReleases.js.map