// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from "../resource.mjs";
import * as ModelsAPI from "./models.mjs";
import { Page } from "../pagination.mjs";
export class Models extends APIResource {
    /**
     * Retrieves a model instance, providing basic information about the model such as
     * the owner and permissioning.
     */
    retrieve(model, options) {
        return this._client.get(`/models/${model}`, options);
    }
    /**
     * Lists the currently available models, and provides basic information about each
     * one such as the owner and availability.
     */
    list(options) {
        return this._client.getAPIList('/models', ModelsPage, options);
    }
    /**
     * Delete a fine-tuned model. You must have the Owner role in your organization to
     * delete a model.
     */
    del(model, options) {
        return this._client.delete(`/models/${model}`, options);
    }
    /**
     * Start a model instance, providing basic information about the model
     */
    start(model, options) {
        return this._client.post(`/models/${model}/start`, options);
    }
    /**
     * Stop a model instance, providing basic information about the model
     */
    stop(model, options) {
        return this._client.post(`/models/${model}/stop`, options);
    }
    /**
     * Download a model.
     */
    download(model) {
        return this._client.get(`/models/download/${model}`);
    }
    /**
     * Abort a model download.
     */
    abortDownload(downloadId) {
        return this._client.get(`/models/abort-download/${downloadId}`);
    }
    update(model, body, options) {
        return this._client.post(`/models/${model}/config`, { body, ...options });
    }
}
/**
 * Note: no pagination actually occurs yet, this is for forwards-compatibility.
 */
export class ModelsPage extends Page {
}
(function (Models) {
    Models.ModelsPage = ModelsAPI.ModelsPage;
})(Models || (Models = {}));
//# sourceMappingURL=models.mjs.map